if (typeof angular !== 'undefined') {
    var arsociallitelike = angular.module('arsociallitelike', []);
    arsociallitelike.controller('arsociallitelikefb', function ($scope, $http) {
	$scope.fbLikeButton = true;
    });
    arsociallitelike.controller('arsociallitelikefbfollow', function ($scope, $http) {
	$scope.arsliteFbfollowLikeButton = true;
    });
    arsociallitelike.controller('arsocialliteliketwitter', function ($scope, $http) {
//	$scope.twitterLikeButton = true;
	$scope.arsliteTwitterLikeButton = true;
    });
    arsociallitelike.controller('arsociallitelikegoogleplus', function ($scope, $http) {
	$scope.googleplusLikeButton = true;
    });
    arsociallitelike.controller('arsociallitelikegoogleplusfollow', function ($scope, $http) {
	$scope.googleplusfollowLikeButton = true;
    });
    arsociallitelike.directive('arsliteFbLikeButton', [
	'$window', function ($window) {
	    return{
		restrict: 'A',
		scope: {
		    fbLike: '=?'
		},
		link: function (scope, element, attrs) {
		    if (!$window.FB) {
			
			var settings = ars_global_like_settings();
			var setting_obj = jQuery.parseJSON(settings);
			
			var settings_shortcode = ars_like_shortcode_settings();
			var setting_obj_shortcode = jQuery.parseJSON(settings_shortcode);
			if (typeof setting_obj_shortcode.facebook.facebook_like_button_language === 'undefined') {
			    var fb_language = 'en_US';
			}
			else {
			    var fb_language = setting_obj_shortcode.facebook.facebook_like_button_language;
			}
			jQuery.getScript('//connect.facebook.net/' + fb_language + '/sdk.js', function () {
			    $window.FB.init({
				appId: setting_obj.facebook.app_id,
				xfbml: true,
				version: 'v' + setting_obj.facebook.app_version
			    });
			});
		    } else {
			
			var settings = ars_like_shortcode_settings();
			var setting_obj = jQuery.parseJSON(settings);
			$window.FB.init({
			    appId: setting_obj.facebook.app_id,
			    xfbml: true,
			    version: 'v' + setting_obj.facebook.app_version
			});
		    }
		}

	    };
	}
    ]);
    arsociallitelike.directive('arsliteFbfollowLikeButton', [
	'$window', function ($window) {
	    return{
		restrict: 'A',
		scope: {
//		    fbfollowLikeButton: '=?'
		    arsliteFbfollowLikeButton: '=?'
		},
		link: function (scope, element, attrs) {
                        
		    var settings = ars_global_like_settings();
		    var setting_obj = jQuery.parseJSON(settings);
		    
		    var settings_shortcode = ars_like_shortcode_settings();
		    var setting_obj_shortcode = jQuery.parseJSON(settings_shortcode);
		    if (typeof setting_obj_shortcode.facebook_follow.facebook_follow_button_language === 'undefined') {
			var fb_language = 'en_US';
		    }
		    else {
			var fb_language = setting_obj_shortcode.facebook_follow.facebook_follow_button_language;
		    }
		    if (!$window.FB) {
			jQuery.getScript('//connect.facebook.net/' + fb_language + '/sdk.js', function () {
			    $window.FB.init({
				appId: setting_obj.facebook.app_id,
				xfbml: true,
				version: "v" + setting_obj.facebook.app_version
			    });
			});
		    } else {
			FB.init({
			    appId: setting_obj.facebook.app_id,
			    xfbml: true,
			    version: "v" + setting_obj.facebook.app_version
			});
		    }
		}

	    };
	}
    ]);
    arsociallitelike.directive('arsliteTwitterLikeButton', [
	'$window', function ($window) {
	    return{
		restrict: 'A',
		link: function (scope, element, attrs) {
		    jQuery.getScript('//platform.twitter.com/widgets.js', function () {
		    });
		}

	    };
	}
    ]);
    arsociallitelike.directive('arsliteGoogleplusLikeButton', [
	'$window', function ($window) {
	    return{
		restrict: 'A',
		link: function (scope, element, attrs) {
		    jQuery.getScript('//apis.google.com/js/platform.js', function () {
		    });
		}
	    };
	}
    ]);
    arsociallitelike.directive('arsliteGoogleplusfollowLikeButton', [
	'$window', function ($window) {
	    return{
		restrict: 'A',
		link: function (scope, element, attrs) {
		    jQuery.getScript('//apis.google.com/js/platform.js', function () {
		    });
		}
	    };
	}
    ]);
}


jQuery(document).ready(function () {
    
   
    var data_is_top_bottom_bar = jQuery('#arsocial_lite_like_top_bottom_bar_wrapper').attr('data-top_bottom_bar_enable');
    
    if (data_is_top_bottom_bar == 'true') {
        var data_on_display = jQuery('#arsocial_lite_like_top_bottom_bar_wrapper').attr('data-top_bottom_bar_display_bar');
        var data_open_delay = jQuery('#arsocial_lite_like_top_bottom_bar_wrapper').attr('data-top_bottom_bar_onload_time');
        var data_open_scroll = jQuery('#arsocial_lite_like_top_bottom_bar_wrapper').attr('data-top_bottom_bar_onscroll_percentage');
        if (data_on_display == 'onload') {
            
            var delay_time = 0;
            if (data_open_delay != '') {
                var delay_time = parseInt(data_open_delay * 1000);
            }
	    
            setTimeout(function () {
                jQuery('.arsocial_lite_like_top_bottom_bar_wrapper').fadeIn('slow');
            }, delay_time);

        } else {
            var ars_open_scroll = parseInt(data_open_scroll);
            var ars_top_bottom_op_welcome = false;
            jQuery(window).scroll(function () {
                var h = jQuery(document).height() - jQuery(window).height();
                var sp = jQuery(window).scrollTop();
                var p = parseInt(sp / h * 100);
                if (p >= ars_open_scroll) {
                    jQuery('.arsocial_lite_like_top_bottom_bar_wrapper').fadeIn('slow');
                    ars_top_bottom_op_welcome = true;
                }else{
                    jQuery('.arsocial_lite_like_top_bottom_bar_wrapper').fadeOut('slow');
                }
            });
        }

    }
});