
function arsocialshare_window(network_url, share_url, description, network, page_id, media_url, object) {

    switch (network) {
	case 'facebook':
	    share_on_fb(network_url, share_url, network, page_id, object);
	    break;
	case 'twitter':
	    share_on_twitter(network_url, share_url, page_id);
	    break;
	case 'googleplus':
	    share_on_google(network_url, share_url, page_id, object);
	    break;
	case 'linkedin':
	    share_on_linkedin(network_url, share_url, page_id, object);
	    break;
	case 'pinterest':
	    share_on_pinterest(network_url, share_url, description, page_id, media_url);
	    break;
	case 'digg':
	    share_on_digg(network_url, share_url, description, page_id);
	    break;
	case 'stumbleupon':
	    share_on_stumbleupon(network_url, share_url, page_id, object);
	    break;
	case 'tumblr':
	    share_on_tumblr(network_url, share_url, description, page_id);
	    break;
	case 'reddit':
	    share_on_reddit(network_url, share_url, description, page_id, object);
	    break;
	case 'buffer':
	    share_on_buffer(network_url, share_url, description, page_id, object);
	    break;
	case 'pocket':
	    share_on_pocket(network_url, share_url, description, page_id, object);
	    break;
	case 'odnoklassniki':
	    share_on_odnoklassniki(network_url, share_url, description, page_id, object);
	    break;
	case 'meneame':
	    share_on_meneame(network_url, share_url, description, page_id, object);
	    break;
	case 'blogger':
	    share_on_blogger(network_url, share_url, description, page_id);
	    break;
	case 'amazon':
	    share_on_amazon(network_url, share_url, description, page_id);
	    break;
	case 'hackernews':
	    share_on_hackernews(network_url, share_url, description, page_id);
	    break;
	case 'evernote':
	    share_on_evernote(network_url, share_url, description, page_id);
	    break;
	case 'myspace':
	    share_on_myspace(network_url, share_url, description, page_id);
	    break;
	case 'viadeo':
	    share_on_viadeo(network_url, share_url, description, page_id, object);
	    break;
	case 'flipboard':
	    share_on_flipboard(network_url, share_url, description, page_id);
	    break;
	case 'yummly':
	    share_on_yummly(network_url, share_url, description, page_id);
	    break;
	case 'box':
	    share_on_box(network_url, share_url, description, page_id);
	    break;
	case 'citeulike':
	    share_on_citeulike(network_url, share_url, description, page_id);
	    break;
	case 'gmail':
	    share_via_gmail(network_url, share_url, description, page_id);
	    break;
	case 'yahoo':
	    share_via_yahoo_mail(network_url, share_url, description, page_id);
	    break;
	case 'aol':
	    share_via_aol_mail(network_url, share_url, description, page_id);
	    break;
	case 'email':
	    share_via_custom_mail(network_url, share_url, description, page_id);
	    break;
	case 'vk':
	    share_on_vk(network_url, share_url, description, page_id, object);
	    break;
	case 'xing':
	    share_on_xing(network_url, share_url, description, page_id, object);
	    break;
	case 'arsprint':
	    window.print();
	    break;
	case 'delicious':
	    share_on_delicious(network_url, share_url, description, page_id)
	    break;
	default:
	    break;
    }
}

function share_on_delicious(network_url, share_url, description, page_id) {
    var url = network_url + '&provider=' + description + '&noui&jump=close&url=' + share_url + '&title=' + description;
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
}

function share_on_xing(network_url, share_url, network, page_id,object) {
    var url = network_url + '?h=1;url=' + share_url;

    var dialogbox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
    var ars_options = object.parent().attr('data-options');
    var timer = setInterval(function () {
	if (dialogbox.closed === true) {

	    var ajaxurl = document.getElementById('arsocialshare_admin_ajaxurl').value;
	    var ip = document.getElementById('arsocialshare_user_ip_address').value;
	    jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: "action=ars_lite_update_share_counter&network=xing&share_url=" + share_url + "&ip=" + ip + "&page_id=" + page_id + "&ars_options=" + ars_options,
		success: function (response) {
		    var body = response.split('~');
		    var result = body[0];
		    var counter = body[1];
		    var total_counter = (body[2] !== '') ? body[2] : '';
		    if ('success' == result) {
			object.find('.arsocialshare_counter').html(counter);
			if (total_counter !== '') {
			    var previous_counter = object.parent().find('.arsocialshare_counter_value').attr('data-count');
			    if (previous_counter !== total_counter) {
				object.parent().find('.arsocialshare_counter_value').attr('data-count', total_counter);
				ars_counter_animation();
			    }
			}
		    }
		}
	    });
	    clearInterval(timer);
	}
    }, 1000);
}

function share_on_fb(network_url, share_url, network, page_id, object) {
    var url = network_url + '?u=' + share_url;
    var dialogbox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
    var ars_options = object.parent().attr('data-options');
    var timer = setInterval(function () {
	if (dialogbox.closed === true) {
	    var ajaxurl = document.getElementById('arsocialshare_admin_ajaxurl').value;
	    var ip = document.getElementById('arsocialshare_user_ip_address').value;
	    jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: "action=ars_lite_update_share_counter&network=facebook&share_url=" + share_url + "&ip=" + ip + "&page_id=" + page_id + "&ars_options=" + ars_options,
		success: function (response) {
		    var body = response.split('~');
		    var result = body[0];
		    var counter = body[1];
		    var total_counter = (body[2] !== '') ? body[2] : '';
		    if ('success' == result) {
			object.find('.arsocialshare_counter').html(counter);
			if (total_counter !== '') {
			    var previous_counter = object.parent().find('.arsocialshare_counter_value').attr('data-count');
			    if (previous_counter !== total_counter) {
				object.parent().find('.arsocialshare_counter_value').attr('data-count', total_counter);
				ars_counter_animation();
			    }
			}
		    }
		}
	    });
	    clearInterval(timer);
	}
    }, 1000);
}

function share_on_twitter(network_url, share_url, page_id) {
    var url = network_url + '?text=' + share_url;
    var twitter = window.open(url, '', 'width=800,height=500,scrollbars=yes');
}

function share_on_google(network_url, share_url, page_id,object) {
    var url = network_url + '?url=' + share_url;
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
    var ars_options = object.parent().attr('data-options');
    var timer = setInterval(function () {
	if (dialogBox.closed === true) {

	    var ajaxurl = document.getElementById('arsocialshare_admin_ajaxurl').value;
	    var ip = document.getElementById('arsocialshare_user_ip_address').value;
	    jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: "action=ars_lite_update_share_counter&network=googleplus&share_url=" + share_url + "&ip=" + ip + "&page_id=" + page_id + "&ars_options=" + ars_options,
		success: function (response) {
		    var body = response.split('~');
		    var result = body[0];
		    var counter = body[1];
		    var total_counter = (body[2] !== '') ? body[2] : '';
		    if ('success' == result) {
			object.find('.arsocialshare_counter').html(counter);
			if (total_counter !== '') {
			    var previous_counter = object.parent().find('.arsocialshare_counter_value').attr('data-count');
			    if (previous_counter !== total_counter) {
				object.parent().find('.arsocialshare_counter_value').attr('data-count', total_counter);
				ars_counter_animation();
			    }
			}
		    }
		}
	    });
	    clearInterval(timer);
	}
    }, 1000);
}

function share_on_linkedin(network_url, share_url, page_id,object) {
    var url = network_url + '?url=' + encodeURIComponent(share_url);
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
    var ars_options = object.parent().attr('data-options');
    var timer = setInterval(function () {
	if (dialogBox.closed === true) {

	    var ajaxurl = document.getElementById('arsocialshare_admin_ajaxurl').value;
	    var ip = document.getElementById('arsocialshare_user_ip_address').value;
	    jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: "action=ars_lite_update_share_counter&network=linkedin&share_url=" + share_url + "&ip=" + ip + "&page_id="+page_id+"&ars_options=" + ars_options,
		success: function (response) {
		    var body = response.split('~');
		    var result = body[0];
		    var counter = body[1];
		    var total_counter = (body[2] !== '') ? body[2] : '';
		    if ('success' == result) {
			object.find('.arsocialshare_counter').html(counter);
			if (total_counter !== '') {
			    var previous_counter = object.parent().find('.arsocialshare_counter_value').attr('data-count');
			    if (previous_counter !== total_counter) {
				object.parent().find('.arsocialshare_counter_value').attr('data-count', total_counter);
				ars_counter_animation();
			    }
			}
		    }
		}
	    });
	    clearInterval(timer);
	}
    }, 1000);
}

function share_on_pinterest(network_url, share_url, description, page_id, media_url) {

    var e = document.createElement('script');
    e.setAttribute('type', 'text/javascript');
    e.setAttribute('src', '//assets.pinterest.com/js/pinmarklet.js?r=\'+Math.random()*99999999');
    document.body.appendChild(e);
}

function share_on_digg(network_url, share_url, description, page_id) {
    var url = network_url + '&url=' + encodeURIComponent(share_url) + '&title=' + description;
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');

}

function share_on_stumbleupon(network_url, share_url, page_id,object) {
    var url = network_url + '?url=' + encodeURIComponent(share_url);
    var stumbleupon_window = window.open(url, '', 'width=800,height=500,scrollbars=yes');
    var ars_options = object.parent().attr('data-options');
    var timer = setInterval(function () {
	if (stumbleupon_window.closed === true) {

	    var ajaxurl = document.getElementById('arsocialshare_admin_ajaxurl').value;
	    jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: "action=ars_lite_update_share_counter&network=stumbleupon&share_url=" + share_url + "&page_id=" + page_id + "&ars_options=" + ars_options,
		success: function (response) {
		    var body = response.split('~');
		    var result = body[0];
		    var counter = body[1];
		    var total_counter = (body[2] !== '') ? body[2] : '';
		    if ('success' == result) {
			object.find('.arsocialshare_counter').html(counter);
			if (total_counter !== '') {
			    var previous_counter = object.parent().find('.arsocialshare_counter_value').attr('data-count');
			    if (previous_counter !== total_counter) {
				object.parent().find('.arsocialshare_counter_value').attr('data-count', total_counter);
				ars_counter_animation();
			    }
			}
		    }
		}
	    });
	    clearInterval(timer);
	}
    }, 1000);
}

function share_on_tumblr(network_url, share_url, description, page_id) {
    var url = network_url + '?url=' + encodeURIComponent(share_url);
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
}

function share_on_reddit(network_url, share_url, description, page_id, object) {
    var url = network_url + '?url=' + share_url + '&title=' + description;
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
    var ars_options = object.parent().attr('data-options');
    var timer = setInterval(function () {
	if (dialogBox.closed === true) {

	    var ajaxurl = document.getElementById('arsocialshare_admin_ajaxurl').value;
	    var ip = document.getElementById('arsocialshare_user_ip_address').value;
	    jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: "action=ars_lite_update_share_counter&network=reddit&share_url=" + share_url + "&ip=" + ip + "&page_id=" + page_id + "&ars_options=" + ars_options,
		success: function (response) {
		    var body = response.split('~');
		    var result = body[0];
		    var counter = body[1];
		    var total_counter = (body[2] !== '') ? body[2] : '';
		    if ('success' == result) {
			object.find('.arsocialshare_counter').html(counter);
			if (total_counter !== '') {
			    var previous_counter = object.parent().find('.arsocialshare_counter_value').attr('data-count');
			    if (previous_counter !== total_counter) {
				object.parent().find('.arsocialshare_counter_value').attr('data-count', total_counter);
				ars_counter_animation();
			    }
			}
		    }
		}
	    });
	    clearInterval(timer);
	}
    }, 1000);
}

function share_on_buffer(network_url, share_url, description, page_id,object) {
    var url = network_url + '?url=' + encodeURIComponent(share_url) + '&title=' + description;
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
    var ars_options = object.parent().attr('data-options');
    var timer = setInterval(function () {
	if (dialogBox.closed === true) {

	    var ajaxurl = document.getElementById('arsocialshare_admin_ajaxurl').value;
	    var ip = document.getElementById('arsocialshare_user_ip_address').value;
	    jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: "action=ars_lite_update_share_counter&network=buffer&share_url=" + encodeURIComponent(share_url) + "&ip=" + ip + "&page_id=" + page_id + "&ars_options=" + ars_options,
		success: function (response) {
		    var body = response.split('~');
		    var result = body[0];
		    var counter = body[1];
		    var total_counter = (body[2] !== '') ? body[2] : '';
		    if ('success' == result) {
			object.find('.arsocialshare_counter').html(counter);
			if (total_counter !== '') {
			    var previous_counter = object.parent().find('.arsocialshare_counter_value').attr('data-count');
			    if (previous_counter !== total_counter) {
				object.parent().find('.arsocialshare_counter_value').attr('data-count', total_counter);
				ars_counter_animation();
			    }
			}
		    }
		}
	    });
	    clearInterval(timer);
	}
    }, 1000);
}

function share_on_pocket(network_url, share_url, description, page_id,object) {
    var url = network_url + '?url=' + encodeURIComponent(share_url) + '&title=' + description;
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
    var ars_options = object.parent().attr('data-options');
    var timer = setInterval(function () {
	if (dialogBox.closed === true) {

	    var ajaxurl = document.getElementById('arsocialshare_admin_ajaxurl').value;
	    var ip = document.getElementById('arsocialshare_user_ip_address').value;
	    jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: "action=ars_lite_update_share_counter&network=pocket&share_url=" + encodeURIComponent(share_url) + "&ip=" + ip + "&page_id=" + page_id + "&ars_options=" + ars_options,
		success: function (response) {
		    var body = response.split('~');
		    var result = body[0];
		    var counter = body[1];
		    var total_counter = (body[2] !== '') ? body[2] : '';
		    if ('success' == result) {
			object.find('.arsocialshare_counter').html(counter);
			if (total_counter !== '') {
			    var previous_counter = object.parent().find('.arsocialshare_counter_value').attr('data-count');
			    if (previous_counter !== total_counter) {
				object.parent().find('.arsocialshare_counter_value').attr('data-count', total_counter);
				ars_counter_animation();
			    }
			}
		    }
		}
	    });
	    clearInterval(timer);
	}
    }, 1000);
}

function share_on_odnoklassniki(network_url, share_url, description, page_id, object) {
    var url = network_url + '&st._surl=' + encodeURIComponent(share_url) + '&title=' + description;
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
    var ars_options = object.parent().attr('data-count');
    var timer = setInterval(function () {
	if (dialogBox.closed === true) {

	    var ajaxurl = document.getElementById('arsocialshare_admin_ajaxurl').value;
	    var ip = document.getElementById('arsocialshare_user_ip_address').value;
	    jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: "action=ars_lite_update_share_counter&network=odnoklassniki&share_url=" + encodeURIComponent(share_url) + "&ip=" + ip + "&page_id=" + page_id + "&ars_options=" + ars_options,
		success: function (response) {
		    var body = response.split('~');
		    var result = body[0];
		    var counter = body[1];
		    var total_counter = (body[2] !== '') ? body[2] : '';
		    if ('success' == result) {
			object.find('.arsocialshare_counter').html(counter);
			if (total_counter !== '') {
			    var previous_counter = object.parent().find('.arsocialshare_counter_value').attr('data-count');
			    if (previous_counter !== total_counter) {
				object.parent().find('.arsocialshare_counter_value').attr('data-count', total_counter);
				ars_counter_animation();
			    }
			}
		    }
		}
	    });
	    clearInterval(timer);
	}
    }, 1000);
}

function share_on_meneame(network_url, share_url, description, page_id,object) {
    var url = network_url + '?linkurl=' + encodeURIComponent(share_url) + '&linkname=' + description;
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
    var ars_options = object.parent().attr('data-options');
    var timer = setInterval(function () {
	if (dialogBox.closed === true) {

	    var ajaxurl = document.getElementById('arsocialshare_admin_ajaxurl').value;
	    var ip = document.getElementById('arsocialshare_user_ip_address').value;
	    jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: "action=ars_lite_update_share_counter&network=meneame&share_url=" + encodeURIComponent(share_url) + "&ip=" + ip + "&page_id=" + page_id + "&ars_options=" + ars_options,
		success: function (response) {
		    var body = response.split('~');
		    var result = body[0];
		    var counter = body[1];
		    var total_counter = (body[2] !== '') ? body[2] : '';
		    if ('success' == result) {
			object.find('.arsocialshare_counter').html(counter);
			if (total_counter !== '') {
			    var previous_counter = object.parent().find('.arsocialshare_counter_value').attr('data-count');
			    if (previous_counter !== total_counter) {
				object.parent().find('.arsocialshare_counter_value').attr('data-count', total_counter);
				ars_counter_animation();
			    }
			}
		    }
		}
	    });
	    clearInterval(timer);
	}
    }, 1000);
}

function share_on_blogger(network_url, share_url, description, page_id) {
    var url = network_url + '&u=' + encodeURIComponent(share_url) + '&n=' + description;
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');

}

function share_on_amazon(network_url, share_url, description, page_id) {
    var url = network_url + '?u=' + share_url + '&t=' + description;
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');

}

function share_on_hackernews(network_url, share_url, description, page_id) {
    var url = network_url + '?u=' + share_url + '&t=' + description;
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
}

function share_on_evernote(network_url, share_url, description, page_id) {
    var url = network_url + '?url=' + share_url + '&title=' + description;
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');

}

function share_on_myspace(network_url, share_url, description, page_id) {
    var url = network_url + '?u=' + encodeURIComponent(share_url);
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');

}

function share_on_viadeo(network_url, share_url, description, page_id, object) {
    var url = network_url + '?url=' + encodeURIComponent(share_url);
    var dialogBox = window.open(url, '', 'width=800,height=500,scrollbars=yes');
    var ars_options = object.parent().attr('data-options');
    var timer = setInterval(function () {
	if (dialogBox.closed === true) {

	    var ajaxurl = document.getElementById('arsocialshare_admin_ajaxurl').value;
	    var ip = document.getElementById('arsocialshare_user_ip_address').value;
	    jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: "action=ars_lite_update_share_counter&network=viadeo&share_url=" + encodeURIComponent(share_url) + "&ip=" + ip + "&page_id=" + page_id + "&ars_options=" + ars_options,
		success: function (response) {
		    var body = response.split('~');
		    var result = body[0];
		    var counter = body[1];
		    var total_counter = (body[2] !== '') ? body[2] : '';
		    if ('success' == result) {
			object.find('.arsocialshare_counter').html(counter);
			if (total_counter !== '') {
			    var previous_counter = object.parent().find('.arsocialshare_counter_value').attr('data-count');
			    if (previous_counter !== total_counter) {
				object.parent().find('.arsocialshare_counter_value').attr('data-count', total_counter);
				ars_counter_animation();
			    }
			}
		    }
		}
	    });
	    clearInterval(timer);
	}
    }, 1000);
}

function share_on_flipboard(network_url, share_url, description, page_id) {
    var url = network_url + '&title=' + description + '&url=' + encodeURIComponent(share_url);
    var dialogBox = window.open(url, '', 'width=900,height=550,scrollbars=yes');
    var timer = setInterval(function () {
	if (dialogBox.closed === true) {
	    clearInterval(timer);
	}
    }, 1000);
}

function share_on_yummly(network_url, share_url, description, page_id) {
    var url = network_url + '?url=' + encodeURIComponent(share_url) + '&title=' + description;
    var dialogBox = window.open(url, '', 'width=900,height=550,scrollbars=yes');

}

function share_on_box(network_url, share_url, description, page_id) {
    var url = network_url + '?url=' + encodeURIComponent(share_url) + '&name=' + description + '&import_as=link';
    var dialogBox = window.open(url, '', 'width=900,height=550,scrollbars=yes');

}

function share_on_citeulike(network_url, share_url, description, page_id) {
    var url = network_url + '?url=' + encodeURIComponent(share_url);
    var dialogBox = window.open(url, '', 'width=900,height=550,scrollbars=yes');

}

function share_via_gmail(network_url, share_url, description, page_id) {
    var url = network_url + '&su=' + description + '&body=' + share_url + '&ui=2&tf=1';
    var dialogBox = window.open(url, '', 'width=900,height=550,scrollbars=yes');

}

function share_via_yahoo_mail(network_url, share_url, description, page_id) {
    var url = network_url + '?body=' + share_url;
    var dialogBox = window.open(url, '', 'width=900,height=550,scrollbars=yes');

}

function share_via_aol_mail(network_url, share_url, description, page_id) {
    var url = network_url + '?subject=' + description + '&body=' + share_url;
    var dialogBox = window.open(url, '', 'window=900,height=550,scrollbars=yes');

}

function share_via_custom_mail(network_url, share_url, description, page_id) {
    jQuery.ajax({
	url: network_url,
	type: 'POST',
	dataType: 'json',
	data: 'action=doemail&share_url=' + share_url + '&subject=' + description,
	success: function (response) {
	    if (response.operate === 'popup') {
		jQuery('#arsocialshare_email_popup_window').bPopup({
		    positionStyle: 'fixed'
		});
	    } else {
		var link = jQuery('#arsocialshare_email_link').attr('href');
		window.location.href = link;
	    }
	}
    });
}

function share_on_vk(network_url, share_url, description, page_id,object) {
    var url = network_url + '?url=' + share_url;
    var dialogBox = window.open(url, '', 'window=900,height=550,scrollbars=yes');
    var ars_options = object.parent().attr('data-options');
    var timer = setInterval(function () {
	if (dialogBox.closed === true) {

	    var ajaxurl = document.getElementById('arsocialshare_admin_ajaxurl').value;
	    var ip = document.getElementById('arsocialshare_user_ip_address').value;
	    jQuery.ajax({
		url: ajaxurl,
		type: 'POST',
		data: "action=ars_lite_update_share_counter&network=vk&share_url=" + encodeURIComponent(share_url) + "&ip=" + ip + "&page_id=" + page_id + "&ars_options=" + ars_options,
		success: function (response) {
		    var body = response.split('~');
		    var result = body[0];
		    var counter = body[1];
		    var total_counter = (body[2] !== '') ? body[2] : '';
		    if ('success' == result) {
			object.find('.arsocialshare_counter').html(counter);
			if (total_counter !== '') {
			    var previous_counter = object.parent().find('.arsocialshare_counter_value').attr('data-count');
			    if (previous_counter !== total_counter) {
				object.parent().find('.arsocialshare_counter_value').attr('data-count', total_counter);
				ars_counter_animation();
			    }
			}
		    }
		}
	    });
	    clearInterval(timer);
	}
    }, 1000);
}

jQuery(document).on('click', '.arsocial_lite_email_popup_input_button', function () {
    var form = jQuery('form#email_popup').serialize();
    var recipient_email = jQuery('#recipient_email').val();
    var sender_email = jQuery('#sender_email').val();
    if (recipient_email === '') {
	alert('Enter Recipient email');
	jQuery('#recipient_email').focus();
	return false;
    }

    if (sender_email === '') {
	alert('Enter Sender Email');
	jQuery('#sender_email').focus();
	return false;
    }
    var url = jQuery('#arsocialshare_admin_ajaxurl').val();
    jQuery.ajax({
	url: url,
	type: 'POST',
	dataType: 'json',
	data: 'action=send_mail&' + form,
	success: function (response) {
	    alert(response.message);
	    if (jQuery('#ars_after_share_popup_window').length) {
		jQuery('#ars_after_share_popup_window').bPopup({
		    positionStyle: 'fixed',
		    position: '[0, 0]'
		});
	    }
	    jQuery('#arsocialshare_email_popup_window').bPopup().close();
	}
    });
});
jQuery(document).on('click', '.arsocial_lite_email_popup_close_btn', function () {
    jQuery('.arsocialshare_email_popup_window:visible').bPopup().close();
});

jQuery(document).on('click', '#arsocial_lite_pinterest_popup_close', function () {
    jQuery('#arsocialshare_pinterest_popup_window').bPopup().close();
});

jQuery(document).ready(function () {
    var data_is_top_bottom_bar = jQuery('#arsocial_lite_share_top_bottom_bar_wrapper').attr('data-is_top_bottom_bar');
    if (data_is_top_bottom_bar == 'true') {
	var data_on_display = jQuery('#arsocial_lite_share_top_bottom_bar_wrapper').attr('data-top_bottom_bar_display_bar_on');
	var data_open_delay = jQuery('#arsocial_lite_share_top_bottom_bar_wrapper').attr('data-top_bottom_bar_loading_value');
	var data_open_scroll = jQuery('#arsocial_lite_share_top_bottom_bar_wrapper').attr('data-top_bottom_bar_scroll_value');

	if (data_on_display == 'onload') {

	    var delay_time = 0;
	    if (data_open_delay != '') {
		var delay_time = parseInt(data_open_delay * 1000);
	    }
	    setTimeout(function () {
		jQuery('.arsocial_lite_share_top_bottom_bar_wrapper').fadeIn('slow');
	    }, delay_time);

	} else {
	    var ars_open_scroll = parseInt(data_open_scroll);
	    var ars_top_bottom_op_welcome = false;
	    jQuery(window).scroll(function () {
		var h = jQuery(document).height() - jQuery(window).height();
		var sp = jQuery(window).scrollTop();
		var p = parseInt(sp / h * 100);
		if (p >= ars_open_scroll) {
		    jQuery('.arsocial_lite_share_top_bottom_bar_wrapper').fadeIn('slow');
		    ars_top_bottom_op_welcome = true;
		} else {
		    jQuery('.arsocial_lite_share_top_bottom_bar_wrapper').fadeOut('slow');
		}
	    });
	}

    }
    
    if( jQuery('.arsocialshare_media_share_wrapper').length > 0 ){
	jQuery('.arsocialshare_media_share_wrapper').clone().appendTo( jQuery('.arsocialshare_media_wrapper') );
    }
    
});