jQuery(document).ready(function (e) {
    var like_orders = jQuery('#arsocialshare_like_order').val();
    if (typeof jQuery('#arsocialshare_like_order') !== undefined && like_orders !== '') {
        var sorted_networks = jQuery.parseJSON(like_orders);

        if (sorted_networks !== '' && typeof sorted_networks !== undefined) {
            jQuery(sorted_networks).each(function (x) {
                var id = sorted_networks[x];
                jQuery('.arsocialshare_social_box#' + id).attr('data-listing-order', (x + 1));
            });
        }

        var divList = jQuery('.arsocialshare_social_box');
        divList.sort(function (a, b) {
            return jQuery(a).attr("data-listing-order") - jQuery(b).attr("data-listing-order");
        });
        jQuery('#arsocialshare_like_follow_subscribe').html(divList);
        reset_clear();
    }

    var fancounter_order = jQuery('#arsocialshare_fancounter_order').val();
    if (typeof jQuery('#arsocialshare_fancounter_order') !== undefined && fancounter_order !== '') {
        var sorted_fan_networks = jQuery.parseJSON(fancounter_order);
        if (sorted_fan_networks !== '' && typeof sorted_fan_networks !== undefined) {
            jQuery(sorted_fan_networks).each(function (x) {
                var id = sorted_fan_networks[x];
                jQuery('.arsocialshare_social_box#' + id).attr('data-listing-order', (x + 1));
            });
        }

        var divList = jQuery('.arsocialshare_social_box');
        divList.sort(function (a, b) {
            return jQuery(a).attr("data-listing-order") - jQuery(b).attr("data-listing-order");
        });
        jQuery('#arsocialshare_fan_counter').html(divList);
        reset_clear();
    }

    var locker_share_order = jQuery('#arsocialshare_share_locker_order').val();
    if (typeof jQuery('#arsocialshare_share_locker_order') !== undefined && locker_share_order !== '' && jQuery('#social_like_share').is(':checked')) {
        var locker_share_order = jQuery.parseJSON(locker_share_order);
        if (locker_share_order !== '' && typeof locker_share_order !== undefined) {
            jQuery(locker_share_order).each(function (x) {
                var id = locker_share_order[x];
                jQuery('.arsocialshare_social_box#' + id).attr('data-listing-order', (x + 1));
            });
        }

        var divList = jQuery('.arsocialshare_social_box:visible');
        divList.sort(function (a, b) {
            return jQuery(a).attr("data-listing-order") - jQuery(b).attr("data-listing-order");
        });
        jQuery('#arsocialshare_global_share_locker').html(divList);
        reset_clear();
    }

    var locker_signin_order = jQuery('#arsocialshare_share_signin_order').val();
    if (typeof jQuery('#arsocialshare_share_signin_order') !== undefined && locker_signin_order !== '' && jQuery('#social_sing_in').is(':checked') && jQuery('#arsocialshare_share_signin_order').length > 0) {
        var locker_signin_order = jQuery.parseJSON(locker_signin_order);
        var order = 0;
        if (locker_signin_order !== '' && typeof locker_signin_order !== undefined) {
            jQuery.each(locker_signin_order, function (x, y) {
                jQuery('.arsocialshare_social_box#' + y).attr('data-listing-order', (order + 1));
                order++;
            });
        }

        var divList = jQuery('.arsocialshare_social_box:visible');
        divList.sort(function (a, b) {
            return jQuery(a).attr("data-listing-order") - jQuery(b).attr("data-listing-order");
        });
        jQuery('#arsocialshare_global_signin_locker').html(divList);
        reset_clear();
    }

    if (jQuery.isFunction(jQuery().sortable)) {

        jQuery('.arsocialshare_sharing_share_sortable').sortable({
            handle: '.arsocialshare_move_icon',
            placeholder: 'arsocialshare-sharing-placeholder',
            stop: function (event, ui) {
                if (jQuery(this).hasClass('ars_save_order')) {
                    if (jQuery(this).attr('id') === 'arsocialshare_sharing_options') {
                        var ajaxurl = jQuery('#arsocialshare_ajaxurl').val();
                        var sorted_divs = jQuery('.ars_save_order').sortable("serialize");
                        jQuery.ajax({
                            url: ajaxurl,
                            type: 'POST',
                            data: 'action=arsocial_lite_save_sharing_order&' + sorted_divs,
                            success: function () {

                            }
                        });
                    }
                }
                else {
                    jQuery('#sort_order').val(jQuery('.arsocialshare_sharing_share_sortable').sortable("toArray"));
                }
            }
        });

        jQuery('.arsocialshare_sharing_sortable').sortable({
            handle: '.arsocialshare_move_icon',
            cancel: '.arsocialshare_box_clear',
            placeholder: 'arsocialshare-sharing-placeholder',
            stop: function (event, ui) {

                if (jQuery(this).hasClass('ars_save_order')) {
                    if (jQuery(this).attr('id') === 'arsocialshare_like_follow_subscribe') {
                        var ajaxurl = jQuery('#arslike_ajaxurl').val();
                        var sorted_divs = '';
                        jQuery('.arsocialshare_like_networks').each(function (x) {
                            if (x == 0) {
                                sorted_divs = 'arsocialshare_like_network[]=' + jQuery(this).val();
                            } else {
                                sorted_divs += '&arsocialshare_like_network[]=' + jQuery(this).val();
                            }
                        });

                        jQuery('.arsocialshare_social_box').each(function (n) {
                            jQuery(this).attr('data-listing-order', (n + 1));
                        });
                        reset_clear();
                        jQuery.ajax({
                            url: ajaxurl,
                            type: 'POST',
                            data: 'action=arsocial_lite_save_like_order&' + sorted_divs,
                            success: function () {
                            }
                        });
                    }

                    if (jQuery(this).attr('id') === 'arsocialshare_fan_counter') {
                        var ajaxurl = jQuery('#arsfan_ajaxurl').val();
                        var sorted_divs = '';
                        jQuery('.arsocialshare_fan_networks').each(function (x) {
                            if (x == 0) {
                                sorted_divs = 'arsocialshare_fan_network[]=' + jQuery(this).val();
                            } else {
                                sorted_divs += '&arsocialshare_fan_network[]=' + jQuery(this).val();
                            }
                        });

                        jQuery('.arsocialshare_social_box').each(function (n) {
                            jQuery(this).attr('data-listing-order', (n + 1));
                        });
                        reset_clear();
                        jQuery.ajax({
                            url: ajaxurl,
                            type: 'POST',
                            data: 'action=arsocial_lite_save_fan_order&' + sorted_divs,
                            success: function () {
                            }
                        });
                    }

                }
            }
        });
    }
    if (jQuery.isFunction(jQuery().editable)) {
        jQuery('.arsocialshare_network_label.ars_share_editable').editable(function (value, settings) {
            jQuery('#' + jQuery(this).attr('data-network')).val(value);
            return(value);
        }, {
            cssclass: 'ars_share_editable',
            type: 'text',
            width: '50',
            onblur: 'submit'
        });
    }
    jQuery(document).on('click', '.ars_custom_css_info_link', function () {
        console.log(jQuery('#ars_share_custom_css_info'));
        jQuery('#ars_share_custom_css_info').bPopup({
            positionStyle: 'fixed',
            position: '[0, 0]'
        });
    });

    jQuery(document).on('click', '#ars_share_custom_css_info_close', function () {
        jQuery('#ars_share_custom_css_info').bPopup().close();
    });

    var h = jQuery(document).height() - jQuery(window).height();

    var setAdminStickyTopMenu = function () {
        var sp = jQuery(window).scrollTop();
        var p = parseInt(sp / h * 100);
        if (p >= 5) {
            jQuery('#ars_sticky_top_belt').slideDown(600);
        } else {
            jQuery('#ars_sticky_top_belt').slideUp(600);
        }
    };

    setAdminStickyTopMenu();

    jQuery(window).scroll(function () {
        setAdminStickyTopMenu();
        if (jQuery('.ars_share_custom_css_info').length) {
            jQuery('.ars_share_custom_css_info').css('margin-top', '5%');
        }
    });

    if (jQuery.isFunction(jQuery().chosen)) {
        jQuery('.ars_chosen_field').chosen({
            placeholder_text_multiple: 'Type Category Names'
        });
    }

    ars_tipso_init();
	
	jQuery(document).on('click', '#pro_upgrade_button,#pro_upgrade_cancel_button', function () {
    	jQuery('#ars_lite_pro_shortcode_premium_notice').bPopup().close();
		jQuery('#ars_lite_pro_global_premium_notice').bPopup().close();
		jQuery('#ars_lite_general_settings_premium_notice').bPopup().close();
		jQuery('#ars_lite_pro_global_premium_notice').bPopup().close();
		jQuery('#ars_lite_locker_shortcode_premium_notice').bPopup().close();
	});

	jQuery(document).on('click', '.buy_now_button', function () {
	var ars_version = document.getElementById('ars_version').value;
	var ars_request_version = document.getElementById('ars_request_version').value;

	var link_top_open = "http://arsocial.arformsplugin.com/premium/upgrade_to_premium.php?rdt=t1&ars_version=" + ars_version + "&ars_request_version=" + ars_request_version;
	var win = window.open(link_top_open, '_blank');
	win.focus();
    });
	
	jQuery(document).on('click', '.learn_more_button', function () {
	
	var ars_version = document.getElementById('ars_version').value;
	var ars_request_version = document.getElementById('ars_request_version').value;

	var link_top_open = "http://arsocial.arformsplugin.com/premium/upgrade_to_premium.php?rdt=t2&ars_version=" + ars_version + "&ars_request_version=" + ars_request_version;
	var win = window.open(link_top_open, '_blank');
	win.focus();
	
    });
	
	
});

function ars_tipso_init()
{
    jQuery('.arsocialshare_tipso').tipso({
        useTitle: true,
        width: 'auto',
        background: '#000000',
        color: '#ffffff'
    });

    jQuery('.arsocialshare_tooltip').tipso({
        position: 'top',
        tooltipHover: true,
        useTitle: true,
        maxWidth: '500',
        width: '280',
        background: '#000000',
        color: '#ffffff'
    });
    jQuery('.arsocialshare_disable_tooltip').tipso({
        useTitle: true,
        maxWidth: '500',
        width: '280',
        background: '#000000',
        color: '#ffffff'
    });

    jQuery('.arsocialshare_shortcode_tooltip').tipso({
        useTitle: true,
        maxWidth: '500',
        width: '140',
        background: '#000000',
        color: '#ffffff'
    });
}

jQuery(document).on('click', '.arsocial_lite_locker_menu_item', function (e) {
    var wrapper_id = jQuery(this).attr('data-id');
    jQuery('.arsocial_lite_locker_menu_item').removeClass('selected');
    jQuery('.arsocial_lite_locker_content').removeClass('selected');
    jQuery(this).addClass('selected');

    jQuery('.arsocial_lite_locker_content#' + wrapper_id).addClass('selected');
});

jQuery(document).on('click', '.arsocial_lite_locker_social_tab', function (e) {
    var wrapper_id = jQuery(this).attr('data-id');
    jQuery('.arsocial_lite_locker_social_tab').removeClass('selected');
    jQuery('.arsocialshare_social_tab_content').removeClass('selected');
    jQuery(this).addClass('selected');

    jQuery('.arsocialshare_social_tab_content#' + wrapper_id).addClass('selected');
});
!function ($) {
    "use strict";
    var escape = /["\\\x00-\x1f\x7f-\x9f]/g, meta = {"\b": "\\b", "	": "\\t", "\n": "\\n", "\f": "\\f", "\r": "\\r", '"': '\\"', "\\": "\\\\"}, hasOwn = Object.prototype.hasOwnProperty;
    $.toJSON = "object" == typeof JSON && JSON.stringify ? JSON.stringify : function (t) {
        if (null === t)
            return"null";
        var e, r, n, o, i = $.type(t);
        if ("undefined" === i)
            return void 0;
        if ("number" === i || "boolean" === i)
            return String(t);
        if ("string" === i)
            return $.quoteString(t);
        if ("function" == typeof t.toJSON)
            return $.toJSON(t.toJSON());
        if ("date" === i) {
            var u = t.getUTCMonth() + 1, f = t.getUTCDate(), s = t.getUTCFullYear(), a = t.getUTCHours(), l = t.getUTCMinutes(), c = t.getUTCSeconds(), p = t.getUTCMilliseconds();
            return 10 > u && (u = "0" + u), 10 > f && (f = "0" + f), 10 > a && (a = "0" + a), 10 > l && (l = "0" + l), 10 > c && (c = "0" + c), 100 > p && (p = "0" + p), 10 > p && (p = "0" + p), '"' + s + "-" + u + "-" + f + "T" + a + ":" + l + ":" + c + "." + p + 'Z"'
        }
        if (e = [], $.isArray(t)) {
            for (r = 0; r < t.length; r++)
                e.push($.toJSON(t[r]) || "null");
            return"[" + e.join(",") + "]"
        }
        if ("object" == typeof t) {
            for (r in t)
                if (hasOwn.call(t, r)) {
                    if (i = typeof r, "number" === i)
                        n = '"' + r + '"';
                    else {
                        if ("string" !== i)
                            continue;
                        n = $.quoteString(r)
                    }
                    i = typeof t[r], "function" !== i && "undefined" !== i && (o = $.toJSON(t[r]), e.push(n + ":" + o))
                }
            return"{" + e.join(",") + "}"
        }
    }, $.evalJSON = "object" == typeof JSON && JSON.parse ? JSON.parse : function (str) {
        return eval("(" + str + ")")
    }, $.secureEvalJSON = "object" == typeof JSON && JSON.parse ? JSON.parse : function (str) {
        var filtered = str.replace(/\\["\\\/bfnrtu]/g, "@").replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g, "]").replace(/(?:^|:|,)(?:\s*\[)+/g, "");
        if (/^[\],:{}\s]*$/.test(filtered))
            return eval("(" + str + ")");
        throw new SyntaxError("Error parsing JSON, source is not valid.")
    }, $.quoteString = function (t) {
        return t.match(escape) ? '"' + t.replace(escape, function (t) {
            var e = meta[t];
            return"string" == typeof e ? e : (e = t.charCodeAt(), "\\u00" + Math.floor(e / 16).toString(16) + (e % 16).toString(16))
        }) + '"' : '"' + t + '"'
    }
}(jQuery);
jQuery.fn.ARSLockerFilterFormData = function () {

    var formarray = jQuery(this).serializeArray();

    var fields = {};

    var frmsa = formarray;

    var p = 0;

    for (var key in frmsa) {
        var k = frmsa[key].name;
        var v = frmsa[key].value;

        if (k.search(/(.*?)\[(.*?)\]/) != -1) {
            var x = k.replace(/(.*?)\[(.*?)\]/, '$2');
            var m = k.replace(/(.*?)\[(.*?)\]/, '$1');

            if (m.search(/(.*?)\[(.*?)\]/) != -1) {
                var m = m.replace(/(.*?)\[(.*?)\]/, '$1');
                fields[m] = {};
            } else {
                fields[m] = {};
            }
            if (x.search(/(.*?)\[(.*?)\]/) != -1) {
                var x = x.replace(/(.*?)\[(.*?)\]/, '$1');
            }
            if (x == '') {
                fields[m][p] = {};
                p++;
            } else {
                fields[m][x] = {};
            }
        }
    }

    var p = 0;
    var z = 0;
    for (var key in frmsa) {
        var k = frmsa[key].name;
        var v = frmsa[key].value;


        if (k.search(/(.*?)\[(.*?)\]/) != -1) {
            var x = k.replace(/(.*?)\[(.*?)\]/, '$2');
            var m = k.replace(/(.*?)\[(.*?)\]/, '$1');
            if (m.search(/(.*?)\[(.*?)\]/) != -1) {
                var m = m.replace(/(.*?)\[(.*?)\]/, '$1');

            }
            if (fields[m] == null)
                fields[m] = {};
            if (x == '') {
                fields[m][p] = v;
                p++;
            } else {
                if (x.search(/(.*?)\[(.*?)\]/) != -1) {
                    x = x.replace(/(.*?)\[(.*?)\]/, '$1');
                    if (fields[m][x] == null) {
                        fields[m][x] = {};
                        var z = 0;
                    }

                    fields[m][x][z] = v;
                    z++;
                } else {
                    fields[m][x] = v;
                }
            }

        } else {
            fields[k] = v;
        }
    }


    nfields = getObj(fields);

    return nfields;

}

function getObj(obj) {


    var new_fields = {};
    var x = 0;
    var fields = {};
    var ftypes = new Array();
    for (var key in obj) {
        if (key.search(/(.*?)\[(.*?)\]/) != -1) {

            var f = key.replace(/(.*?)\[(.*?)\]/, '$2');
            var k = key.replace(/(.*?)\[(.*?)\]/, '$1');


            if (typeof (obj[key] == 'object')) {

                for (var n in obj[key]) {
                    var p = n.replace(/(.*?)\[(.*?)\]/, '$1');
                    var o = n.replace(/(.*?)\[(.*?)\]/, '$2');
                    obj[k][p] = {};
                }

                for (var n in obj[key]) {
                    var o = n.replace(/(.*?)\[(.*?)\]/, '$2');
                    var f = n.replace(/(.*?)\[(.*?)\]/, '$1');
                    if (ftypes.indexOf(f) == -1) {
                        fields = {};
                    }
                    ftypes.push(f);
                    fields[o] = obj[key][n];
                    obj[k][p] = fields;
                }
                delete obj[key][n];
            }
            delete obj[key];
        } else {
            new_fields[key] = obj[key];
        }
    }
    return obj;
}

jQuery(document).on('click', '#save_social_locker', function (e) {
    if (typeof tinyMCE !== 'undefined' && jQuery.isFunction(tinyMCE.triggerSave)) {
        tinyMCE.triggerSave();
    }
    jQuery('.ars_error_message').hide();
    var $err = false;
    var $errID = '';
    var ars_locker_type_radio = jQuery('.ars_locker_type_radio:checked').val();
    if (ars_locker_type_radio == 'social_like_share') {
        if (jQuery('.arsocial_lite_locker_share_like_network_input:checked').length == 0) {
        }
    } else {
        if (jQuery('.arsocial_lite_locker_signin_network_input:checked').length == 0) {
        }
    }
    if ($err) {
        jQuery(window.opera ? 'html' : 'html, body').animate({scrollTop: jQuery('#' + $errID).offset().top - 100}, 1000);
    } else {
        if (jQuery(this).attr('data-id') !== '' && jQuery(this).attr('data-id') === 'sticky_belt') {
            jQuery('.sticky_belt_loader').show();
        } else {
            jQuery('.arsocialshare_save_loader').show();
        }
        var form = jQuery('form#arsocialshare_locker').ARSLockerFilterFormData();
        var json_fields = jQuery.toJSON(form);
        var action = "save_arsocial_lite_locker";
        var ajaxurl = (__ARSLockerAjaxURL !== undefined) ? __ARSLockerAjaxURL : jQuery('#arslocker_ajaxurl').val();
        function completed_ajax_social_locker() {
            jQuery('.sticky_belt_loader').hide();
            jQuery('.arsocialshare_save_loader').hide();
            var response = ARSLockerSACK.response;
            var res = jQuery.parseJSON(response);
            var id = res.id;
            var act = res.action;
            if (act === 'new_locker') {
                if (window.history.pushState) {
                    var pageurl = ARSremoveVariableFromURL(document.URL, 'network_id');
                    pageurl = ARSremoveVariableFromURL(pageurl, 'arsocialaction');
                    pageurl += '&arsocialaction=edit-locker&network_id=' + id;
                    window.history.pushState({path: pageurl}, '', pageurl);
                    jQuery('input[name=locker_id]').val(id);
                    jQuery('input[name=arsocial_locker_action]').val('edit-locker');
                    jQuery('#success-message').html(res.body);
                    jQuery('.ars_share_wrapper').find('#ars_share_shortcode').html('[ARSocial_Lite_Locker id=' + id + '][/ARSocial_Lite_Locker]');
                    jQuery('.ars_share_wrapper').find('#ars_share_shortcode').attr('data-code', '[ARSocial_Lite_Locker id=' + id + '][/ARSocial_Lite_Locker]');
                    jQuery('.ars_share_wrapper').show();
                    jQuery('#success-message').animate({width: 'toggle'}, 'slow');

                    jQuery(window.opera ? 'html' : 'html, body').animate('slow');

                    jQuery('#success-message').delay(3000).animate({width: 'toggle'}, 'slow');

                }
            } else {

                window.history.pushState({path: pageurl}, '', pageurl);

                jQuery('#success-message').html(res.body);

                jQuery('#success-message').animate({width: 'toggle'}, 'slow');

                jQuery(window.opera ? 'html' : 'html, body').animate('slow');

                jQuery('#success-message').delay(3000).animate({width: 'toggle'}, 'slow');
            }
        }
        var ARSLockerSACK = new sack(ajaxurl);
        ARSLockerSACK.execute = 0;
        ARSLockerSACK.method = "POST";
        ARSLockerSACK.setVar("action", action);
        ARSLockerSACK.setVar("filtered_data", json_fields);
        ARSLockerSACK.onError = function () {
            alert('Ajax error while saving pricing table');
        }
        ARSLockerSACK.onCompletion = completed_ajax_social_locker;
        ARSLockerSACK.runAJAX();
    }
    return false;
});

jQuery(document).on('change', '#arsocialstream_select_all_network', function (e) {
    var all_checked = jQuery(this).is(':checked');
    if (all_checked === true) {
        jQuery('.arsocialshare_networks_action').attr('checked', true);
    } else {
        jQuery('.arsocialshare_networks_action').attr('checked', false);
    }

});

jQuery(document).on('change', '.arsocialshare_networks_action', function (e) {
    var total_networks = jQuery('.arsocialshare_networks_action').length;
    var total_checked = jQuery('.arsocialshare_networks_action:checked').length;
    if (total_checked === total_networks) {
        jQuery('#arsocialstream_select_all_network').attr('checked', true);
    } else {
        jQuery('#arsocialstream_select_all_network').attr('checked', false);
    }

});

jQuery(document).on('click', '#arsocialshare_do_bulk_action_button', function (e) {
    var values = {};
    values.active = [];
    values.deactive = [];
    var action = jQuery('#arsocialshare_bulk_action').val();
    var ajaxurl = jQuery('#arsocialshare_ajaxurl').val();
    if (action === '' || action === null) {
        alert('Please select action to perform');
        return false;
    }
    var x = 0;
    var y = 0;
    jQuery('.arsocialshare_networks_action').each(function () {
        if (jQuery(this).is(':checked')) {
            values.active[x] = jQuery(this).val();
            x++;
        } else {
            values.deactive[y] = jQuery(this).val();
            y++;
        }
    });
    var update_data = jQuery.toJSON(values);

    jQuery.ajax({
        url: ajaxurl,
        dataType: 'json',
        type: 'POST',
        data: 'action=ars_lite_network_active_deactive&data=' + update_data + '&todo=' + action,
        success: function (response) {
            if (response.code === 200 || response.code === '200') {
                if (action === 'ars_network_active') {
                    jQuery(values.active).each(function (n) {
                        var obj = jQuery('.arsocialshare_network_item#' + values.active[n]);
                        if (false === obj.hasClass('arsocialshare_enbaled_network')) {
                            obj.addClass('arsocialshare_enbaled_network');
                        }
                    });

                    jQuery(values.deactive).each(function (n) {
                        var obj = jQuery('.arsocialshare_network_item#' + values.deactive[n]);
                        obj.removeClass('arsocialshare_enbaled_network');
                    });

                } else {
                    jQuery(values.active).each(function (n) {
                        var obj = jQuery('.arsocialshare_network_item#' + values.active[n]);
                        obj.removeClass('arsocialshare_enbaled_network');
                        obj.find('.arsocialshare_networks_action').attr('checked', false);
                    });
                    jQuery(values.deactive).each(function (n) {
                        var network = values.deactive[n];
                        var obj = jQuery('.arsocialshare_network_item#' + values.deactive[n]);
                        var control = obj.find('.arsocialshare_networks_action');
                        control.attr('checked', true);
                        console.log(control);
                    });
                }
                alert(response.message);
            } else {
                alert(response.message);
            }
        }
    });

});

jQuery(document).on('click', '#save_social_like', function () {
    jQuery('.ars_error_message').hide();
    if (jQuery('.arsocialshare_like_network_input:checked').length == 0) {
        jQuery('#arsocialshare_like_network_error').show();
        jQuery(window.opera ? 'html' : 'html, body').animate({scrollTop: jQuery('#arsocialshare_like_network_error').offset().top - 100}, 1000);
    } else {
        if (jQuery(this).attr('data-id') !== '' && jQuery(this).attr('data-id') === 'sticky_belt') {
            jQuery('.sticky_belt_loader').show();
        } else {
            jQuery('.arsocialshare_save_loader').show();
        }
        var form = jQuery('form#arsocialshare_like').ARSLockerFilterFormData();
        var json_fields = jQuery.toJSON(form);
        var action = "ars_lite_save_arsocial_like";
        var ajaxurl = (__ARSLikeAjaxURL !== undefined) ? __ARSLikeAjaxURL : jQuery('#arslike_ajaxurl').val();
        function completed_ajax_social_like() {
            jQuery('.arsocialshare_save_loader').hide();
            jQuery('.sticky_belt_loader').hide();
            var response = ARSLikekerSACK.response;
            var res = jQuery.parseJSON(response);
            var act = res.action;
            var id = res.id;
            if (act === 'new_like') {
                if (window.history.pushState) {
                    var pageurl = ARSremoveVariableFromURL(document.URL, 'network_id');
                    pageurl = ARSremoveVariableFromURL(pageurl, 'arsocialaction');
                    pageurl += '&arsocialaction=edit-like&network_id=' + id;
                    window.history.pushState({path: pageurl}, '', pageurl);
                    jQuery('input[name=like_id]').val(id);
                    jQuery('input[name=arsocial_like_action]').val('edit-like');
                    jQuery('#success-message').html(res.body);

                    jQuery('.ars_share_wrapper').find('#ars_share_shortcode').html('[ARSocial_Lite_Like id=' + id + ']');
                    jQuery('.ars_share_wrapper').find('#ars_share_shortcode').attr('data-code', '[ARSocial_Lite_Like id=' + id + ']');
                    jQuery('.ars_share_wrapper').show();

                    jQuery('#success-message').animate({width: 'toggle'}, 'slow');

                    jQuery(window.opera ? 'html' : 'html, body').animate('slow');

                    jQuery('#success-message').delay(3000).animate({width: 'toggle'}, 'slow');
                }
            }
            else {
                jQuery('#success-message').html(res.body);

                jQuery('#success-message').animate({width: 'toggle'}, 'slow');

                jQuery(window.opera ? 'html' : 'html, body').animate('slow');

                jQuery('#success-message').delay(3000).animate({width: 'toggle'}, 'slow');
            }
        }
        var ARSLikekerSACK = new sack(ajaxurl);
        ARSLikekerSACK.execute = 0;
        ARSLikekerSACK.method = "POST";
        ARSLikekerSACK.setVar("action", action);
        ARSLikekerSACK.setVar("filtered_data", json_fields);
        ARSLikekerSACK.onError = function () {
            alert('Ajax error while saving networks.');
        }
        ARSLikekerSACK.onCompletion = completed_ajax_social_like;
        ARSLikekerSACK.runAJAX();
    }
    return false;
});

jQuery(document).on('click', 'input#arsocialshare_googleplus_button_parse_tag', function () {
    if (jQuery(this).val() == 'Explicit') {
        jQuery('input#googleplus_like_dynamic').attr('disabled', true);
    } else {
        jQuery('input#googleplus_like_dynamic').attr('disabled', false);
    }
});

jQuery(document).on('click', 'input#active_pinterest_like_round', function () {
    if (jQuery(this).is(':checked') == true) {
        jQuery('#arsocialshare_pinterest_like_button_color_id').hide();
        jQuery('#arsocialshare_pinterest_like_button_pin_count_id').hide();
    } else {
        jQuery('#arsocialshare_pinterest_like_button_color_id').show();
        jQuery('#arsocialshare_pinterest_like_button_pin_count_id').show();
    }
});

jQuery(document).on('click', '.arsocialshare_network_tab', function () {
    jQuery('.arsocialshare_network_tab').removeClass('selected');
    jQuery(this).addClass('selected');
    var id = jQuery(this).attr('id');

    jQuery('.arsocialshare_network_wrapper').removeClass('selected');
    jQuery('.arsocialshare_network_wrapper#' + id).addClass('selected');
});

function ARSremoveVariableFromURL(url_string, variable_name) {
    var URL = String(url_string);
    var regex = new RegExp("\\?" + variable_name + "=[^&]*&?", "gi");
    URL = URL.replace(regex, '?');
    regex = new RegExp("\\&" + variable_name + "=[^&]*&?", "gi");
    URL = URL.replace(regex, '&');
    URL = URL.replace(/(\?|&)$/, '');
    regex = null;
    return URL;
}

function arsocial_del_locker(locker_id, row_id) {
    if (locker_id === '' || locker_id === null) {
        alert('Invalid Locker.');
        return false;
    }
    var ajax_url = jQuery('#ars_ajaxurl').val();
    jQuery.ajax({
        url: ajax_url,
        dataType: 'json',
        type: 'POST',
        data: 'action=arsocial_lite_remove_locker&locker_id=' + locker_id,
        success: function (response) {
            if (response.code === 200 || response.code === '200') {
                jQuery('#arsocial_lite_locker_' + locker_id).remove();
                jQuery('.arsocial_lite_locker_list_row').removeClass('arsocial_lite_locker_odd_row');
                jQuery('.arsocial_lite_locker_list_row').removeClass('arsocial_lite_locker_even_row');
                jQuery('.arsocial_lite_locker_list_row').each(function (n) {
                    if ((n + 1) % 2 === 0) {
                        jQuery(this).addClass('arsocial_lite_locker_even_row');
                    } else {
                        jQuery(this).addClass('arsocial_lite_locker_odd_row');
                    }
                });
                jQuery('#ars_network_row_' + row_id).remove();
                alert(response.message);
            } else {
                alert(response.message);
            }
        }
    });
}

jQuery(document).on('click', '.locker_code_selectable', function () {
    var containerid = jQuery(this).attr('id');
    if (document.selection) {
        var range = document.body.createTextRange();
        range.moveToElementText(document.getElementById(containerid));
        range.select();
    } else if (window.getSelection) {
        var range = document.createRange();
        range.selectNode(document.getElementById(containerid));
        window.getSelection().addRange(range);
    }
});

jQuery(document).on('change', 'input[name=locker_type]', function (e) {
    var locker_type = jQuery(this).val();
    if (locker_type === 'social_like_share') {
        jQuery("div#arsocialshare_like_share_locker_options").show();
        jQuery("div#arsocialshare_signin_locker_options").hide();
        jQuery("div#arsocialshare_no_options").hide();
    } else if (locker_type === 'social_signin') {
        jQuery("div#arsocialshare_like_share_locker_options").hide();
        jQuery("div#arsocialshare_signin_locker_options").show();
        jQuery("div#arsocialshare_no_options").hide();
    } else {
        jQuery("div#arsocialshare_like_share_locker_options").hide();
        jQuery("div#arsocialshare_signin_locker_options").hide();
        jQuery("div#arsocialshare_no_options").show();
    }
});

function arsocial_del_like(like_id, row_id) {
    if (like_id === '' || like_id === null) {
        alert('Invalid Shortcode.');
        return false;
    }

    var ajax_url = jQuery('#ars_ajaxurl').val();
    jQuery.ajax({
        url: ajax_url,
        dataType: 'json',
        type: 'POST',
        data: 'action=arsocial_lite_remove_like&like_id=' + like_id,
        success: function (response) {
            if (response.code === 200 || response.code === '200') {
                jQuery('#arsocial_lite_locker_' + like_id).remove();
                jQuery('.arsocial_lite_locker_list_row').removeClass('arsocial_lite_locker_odd_row');
                jQuery('.arsocial_lite_locker_list_row').removeClass('arsocial_lite_locker_even_row');
                jQuery('.arsocial_lite_locker_list_row').each(function (n) {
                    if ((n + 1) % 2 === 0) {
                        jQuery(this).addClass('arsocial_lite_locker_even_row');
                    } else {
                        jQuery(this).addClass('arsocial_lite_locker_odd_row');
                    }
                });
                jQuery('#ars_network_row_' + row_id).remove();
                alert(response.message);
            } else {
                alert(response.message);
            }
        }
    });
}


function arsocial_del_fan(fan_id, row_id) {
    if (fan_id === '' || fan_id === null) {
        alert('Invalid Shortcode.');
        return false;
    }

    var ajax_url = jQuery('#ars_ajaxurl').val();
    jQuery.ajax({
        url: ajax_url,
        dataType: 'json',
        type: 'POST',
        data: 'action=arsocial_lite_remove_fan&fan_id=' + fan_id,
        success: function (response) {
            if (response.code === 200 || response.code === '200') {
                jQuery('#arsocialshare_fan_' + fan_id).remove();
                jQuery('.arsocial_lite_locker_list_row').removeClass('arsocial_lite_locker_odd_row');
                jQuery('.arsocial_lite_locker_list_row').removeClass('arsocial_lite_locker_even_row');
                jQuery('.arsocial_lite_locker_list_row').each(function (n) {
                    if ((n + 1) % 2 === 0) {
                        jQuery(this).addClass('arsocial_lite_locker_even_row');
                    } else {
                        jQuery(this).addClass('arsocial_lite_locker_odd_row');
                    }
                });
                jQuery('#ars_network_row_' + row_id).remove();
                alert(response.message);
            } else {
                alert(response.message);
            }
        }
    });
}
function arsocial_set_share_template_preview(previewID, theme, button_style, hover_effect, remove_space, show_counter, button_width)
{
    var previewDiv = jQuery('#' + previewID);
    var iconsContainer = previewDiv.find('.arsocialshare_buttons_wrapper');
    if (theme == 'rolling') {
        hover_effect = '';
    }
    if (theme == 'rounded' && button_style == 'name_without_icon') {
        button_style = 'name_with_icon';
    }
    iconsContainer[0].className = iconsContainer[0].className.replace(/\barsocialshare_.*?\b/g, '');
    iconsContainer[0].className = iconsContainer[0].className.replace(/\barseffect_.*?\b/g, '');
    iconsContainer[0].className = iconsContainer[0].className.replace(/\bars_share_counter_.*?\b/g, '');
    iconsContainer.addClass('arsocialshare_buttons_wrapper arsocialshare_' + theme + '_theme arseffect_' + hover_effect + ' ars_share_counter_' + show_counter);
    if (remove_space == 'yes') {
        iconsContainer.addClass('ars_remove_space');
    } else {
        iconsContainer.removeClass('ars_remove_space');
    }
    previewDiv.find('.arsocialshare_button').each(function () {
        jQuery(this).attr('style', '');
        jQuery(this)[0].className = jQuery(this)[0].className.replace(/\bars_.*?\b/g, '');
        jQuery(this).addClass('ars_' + button_style);
        jQuery(this).addClass('ars_' + button_width + '_btn');
        if (show_counter == 'yes') {
            jQuery(this).find('.arsocialshare_counter').addClass('arsocialshare_counter_show_yes');
            jQuery(this).find('.arsocialshare_counter').removeClass('arsocialshare_counter_show_no');
        } else {
            jQuery(this).find('.arsocialshare_counter').removeClass('arsocialshare_counter_show_yes');
            jQuery(this).find('.arsocialshare_counter').addClass('arsocialshare_counter_show_no');
        }
    });
}
jQuery(document).on('change', '.arsocialshare_sidebar_buttons_position', function () {
    var position = jQuery(this).val();
    jQuery('.arsocial_lite_sidebar_button_wrapper').removeClass('ars_left_button');
    jQuery('.arsocial_lite_sidebar_button_wrapper').removeClass('ars_right_button');
    if (position == 'right') {
        jQuery('.arsocial_lite_sidebar_button_wrapper').addClass('ars_right_button');
    } else {
        jQuery('.arsocial_lite_sidebar_button_wrapper').addClass('ars_left_button');
    }
});

jQuery(document).on('change', '#arsocialshare_sidebar_skins, #arsocialshare_sidebar_hover_effect, #arsocialshare_sidebar_remove_space, #arsocialshare_sidebar_show_count, .ars_share_sidebar_btn_width_input', function () {
    var previewID = 'arsocialshare_sidebar_theme_preview';
    var theme = jQuery('#arsocialshare_sidebar_skins').val();
    var button_style = jQuery('.arsocialshare_sidebar_button_style').val();
    var button_width = jQuery('.ars_share_sidebar_btn_width_input:checked').val();
    var hover_effect = jQuery('#arsocialshare_sidebar_hover_effect').val();
    if (theme != 'square') {
        jQuery('#arsocialshare_sidebar_skins').val('square');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }

    var remove_space = jQuery('#arsocialshare_sidebar_remove_space').val();
    var show_counter = jQuery('#arsocialshare_sidebar_show_count').val();
    arsocial_set_share_template_preview(previewID, theme, button_style, hover_effect, remove_space, show_counter, button_width);
    return false;
});
jQuery(document).on('change', '#arsocialshare_top_bottom_skins, #arsocialshare_top_bottom_hover_effect, #arsocialshare_top_bottom_remove_space, #arsocialshare_top_bottom_show_count, .arsocialshare_top_bottom_button_style, .ars_share_top_bottom_btn_width_input', function () {
    var previewID = 'arsocialshare_top_bottom_theme_preview';
    var theme = jQuery('#arsocialshare_top_bottom_skins').val();
    var button_style = jQuery('.arsocialshare_top_bottom_button_style:checked').val();
    var button_width = jQuery('.ars_share_top_bottom_btn_width_input:checked').val();
    var hover_effect = jQuery('#arsocialshare_top_bottom_hover_effect').val();
    var remove_space = jQuery('#arsocialshare_top_bottom_remove_space').val();
    var show_counter = jQuery('#arsocialshare_top_bottom_show_count').val();
    if (theme != 'square') {
        jQuery('#arsocialshare_top_bottom_skins').val('square');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;        
    }

    arsocial_set_share_template_preview(previewID, theme, button_style, hover_effect, remove_space, show_counter, button_width);
    return false;
});
jQuery(document).on('change', '#arsocialshare_popup_settings_skins, #arsocialshare_popup_hover_effect, #arsocialshare_popup_remove_space, #arsocialshare_popup_show_count, .arsocialshare_popup_button_style, .ars_share_popup_btn_width_input', function () {
    var previewID = 'arsocialshare_popup_theme_preview';
    var theme = jQuery('#arsocialshare_popup_settings_skins').val();
    var button_style = jQuery('.arsocialshare_popup_button_style:checked').val();
    var button_width = jQuery('.ars_share_popup_btn_width_input:checked').val();
    var hover_effect = jQuery('#arsocialshare_popup_hover_effect').val();
    var remove_space = jQuery('#arsocialshare_popup_remove_space').val();
    var show_counter = jQuery('#arsocialshare_popup_show_count').val();
    if (theme == 'rounded') {
        jQuery('.ars_popup_button_style_opts').hide();
        jQuery(".arsocialshare_popup_btn_style").removeClass('selected');
        jQuery("#arsocialshare_popup_btn_icon_without_name").attr('checked', true);
        jQuery("#arsocialshare_popup_btn_icon_without_name_img").addClass('selected');
        button_style = 'icon_without_name';
    } else {
        jQuery('.ars_popup_button_style_opts').show();
    }
    arsocial_set_share_template_preview(previewID, theme, button_style, hover_effect, remove_space, show_counter, button_width);
    return false;
});
jQuery(document).on('change', '#arsocialshare_page_settings_skins, #arsocialshare_pages_hover_effect, #arsocialshare_pages_remove_space, #arsocialshare_pages_show_count, .arsocialshare_pages_button_style, .ars_share_pages_btn_width_input', function () {
    var previewID = 'arsocialshare_pages_theme_preview';
    var theme = jQuery('#arsocialshare_page_settings_skins').val();
    var button_style = jQuery('.arsocialshare_pages_button_style:checked').val();
    var button_width = jQuery('.ars_share_pages_btn_width_input:checked').val();
    var hover_effect = jQuery('#arsocialshare_pages_hover_effect').val();
    var remove_space = jQuery('#arsocialshare_pages_remove_space').val();
    var show_counter = jQuery('#arsocialshare_pages_show_count').val();
    if (theme != 'square') {
        jQuery('#arsocialshare_page_settings_skins').val('square');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;        
    }

    arsocial_set_share_template_preview(previewID, theme, button_style, hover_effect, remove_space, show_counter, button_width);
    return false;
});
jQuery(document).on('change', '#arsocialshare_post_settings_skins, #arsocialshare_posts_hover_effect, #arsocialshare_posts_remove_space, #arsocialshare_posts_show_count, .arsocialshare_posts_button_style, .ars_share_posts_btn_width_input', function () {
    var previewID = 'arsocialshare_posts_theme_preview';
    var theme = jQuery('#arsocialshare_post_settings_skins').val();
    var button_style = jQuery('.arsocialshare_posts_button_style:checked').val();
    var button_width = jQuery('.ars_share_posts_btn_width_input:checked').val();
    var hover_effect = jQuery('#arsocialshare_posts_hover_effect').val();
    var remove_space = jQuery('#arsocialshare_posts_remove_space').val();
    var show_counter = jQuery('#arsocialshare_posts_show_count').val();
    if (theme != 'square') {
        jQuery('#arsocialshare_post_settings_skins').val('square');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }
    

    arsocial_set_share_template_preview(previewID, theme, button_style, hover_effect, remove_space, show_counter, button_width);
    return false;
});
jQuery(document).on('change', '#arsocialshare_woocommerce_skins, #arsocialshare_woocommerce_hover_effect, #arsocialshare_woocommerce_remove_space, #arsocialshare_woocommerce_show_count, .arsocialshare_woocommerce_button_style, .ars_share_woocommerce_btn_width_input', function () {
    var previewID = 'arsocialshare_woocommerce_theme_preview';
    var theme = jQuery('#arsocialshare_woocommerce_skins').val();
    var button_style = jQuery('.arsocialshare_woocommerce_button_style:checked').val();
    var button_width = jQuery('.ars_share_woocommerce_btn_width_input:checked').val();
    var hover_effect = jQuery('#arsocialshare_woocommerce_hover_effect').val();
    var remove_space = jQuery('#arsocialshare_woocommerce_remove_space').val();
    var show_counter = jQuery('#arsocialshare_woocommerce_show_count').val();
    if (theme != 'square') {
        jQuery('#arsocialshare_woocommerce_skins').val('square');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;        
    }
        jQuery('.ars_woocom_button_style_opts').show();

    arsocial_set_share_template_preview(previewID, theme, button_style, hover_effect, remove_space, show_counter, button_width);
    return false;
});
jQuery(document).on('change', '#arsocialshare_gs_skins, #arsocialshare_gs_hover_effect, #arsocialshare_gs_remove_space, #arsocialshare_gs_show_count, .arsocialshare_gs_button_style, .ars_gs_btn_width_input', function () {
    var theme = jQuery('#arsocialshare_gs_skins').val();
    var button_style = jQuery('.arsocialshare_gs_button_style:checked').val();
    var button_width = jQuery('.ars_gs_btn_width_input:checked').val();
    var hover_effect = jQuery('#arsocialshare_gs_hover_effect').val();
    /*if ((!jQuery('#arsocialshare_enable_sidebar').is(':checked')) && theme == 'rolling') {
     jQuery('#arsocialshare_gs_skins').val('default');
     theme = 'default';
     }*/
    if (theme != 'square') {
        jQuery('#arsocialshare_gs_skins').val('square');
        jQuery('#ars_lite_pro_shortcode_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }

        jQuery('.ars_share_no_sidebar_option').show();
        if (jQuery('#arsocialshare_enable_sidebar').is(':checked')) {
            jQuery('.ars_share_no_sidebar_option').hide();
        }

    var remove_space = jQuery('#arsocialshare_gs_remove_space').val();
    var show_counter = jQuery('#arsocialshare_gs_show_count').val();
    arsocial_set_share_template_preview('arsocialshare_top_bottom_theme_preview', theme, button_style, hover_effect, remove_space, show_counter, button_width);
    arsocial_set_share_template_preview('arsocialshare_sidebar_theme_preview', theme, button_style, hover_effect, remove_space, show_counter, button_width);
    return false;
});

jQuery(document).on('change', '#arsocialshare_global_settings_skins, #arsocialshare_global_share_button_style, #arsocialshare_global_share_button_width, #arsocialshare_global_settings_fixed_button_width, #arsocialshare_global_settings_full_button_width_desktop, #arsocialshare_global_share_remove_space, #arsocialshare_global_share_hover_effect', function () {
    arsocial_set_socialshare_preview();
    return false;
});

function arsocial_set_socialshare_preview()
{
    var previewDiv = jQuery('#arsocialshare_theme_preview');
    var iconsContainer = previewDiv.find('.arsocialshare_buttons_wrapper');
    var theme = jQuery('#arsocialshare_global_settings_skins').val();
    var button_style = jQuery('#arsocialshare_global_share_button_style').val();
    var hover_effect = jQuery('#arsocialshare_global_share_hover_effect').val();
    var remove_space = jQuery('#arsocialshare_global_share_remove_space').val();

    var button_width = jQuery('#arsocialshare_global_share_button_width').val();
    var fixed_button_width = jQuery('#arsocialshare_global_settings_fixed_button_width').val();
    var full_button_width = jQuery('#arsocialshare_global_settings_full_button_width_desktop').val();

    iconsContainer[0].className = iconsContainer[0].className.replace(/\barsocialshare_.*?\b/g, '');
    iconsContainer[0].className = iconsContainer[0].className.replace(/\barseffect_.*?\b/g, '');
    iconsContainer.addClass('arsocialshare_buttons_wrapper arsocialshare_' + theme + '_theme arseffect_' + hover_effect);
    if (remove_space == 'yes') {
        iconsContainer.addClass('ars_remove_space');
    } else {
        iconsContainer.removeClass('ars_remove_space');
    }
    previewDiv.find('.arsocialshare_button').each(function () {
        jQuery(this).attr('style', '');
        jQuery(this)[0].className = jQuery(this)[0].className.replace(/\bars_.*?\b/g, '');
        jQuery(this).addClass('ars_' + button_style);
        if (button_width == 'fixed_width') {
            jQuery(this).css('width', fixed_button_width + 'px');
        } else if (button_width == 'full_width') {
            var fullWidthCss = '';
            if (full_button_width != '' && full_button_width != '0') {
                fullWidthCss = 'width:100%;max-width:' + full_button_width + '%;';
            } else {
                fullWidthCss = 'width:100%;';
            }
            jQuery(this).css('cssText', fullWidthCss);
        }
    });
}
jQuery(document).on('change', '#arsocialshare_global_settings_skins, #arsocialshare_global_share_button_style, #arsocialshare_global_share_button_width, #arsocialshare_global_settings_fixed_button_width, #arsocialshare_global_settings_full_button_width_desktop, #arsocialshare_global_share_remove_space, #arsocialshare_global_share_hover_effect', function () {
    arsocial_set_socialshare_preview();
    return false;
});

function arsocial_set_sociallike_preview()
{
    var previewDiv = jQuery('#arsociallike_button_preview_wrapper');
    if (jQuery('#ars_like_load_native_button').is(':checked')) {
        jQuery('.ars_like_btn_preview').show();
        var theme = jQuery('#arsocialshare_like_skin_select').val();
        var button_style = jQuery('#arsocialshare_like_button_width').val();
        var fixed_button_width = jQuery('#arsocialshare_like_fixed_width_btn').val();
        var full_button_width = jQuery('#arsocialshare_like_full_width_button').val();

        previewDiv[0].className = previewDiv[0].className.replace(/\bars_native_.*?\b/g, '');
        previewDiv.addClass('ars_native_' + theme);
        previewDiv.find('.native_button_parent').each(function () {
            jQuery(this).attr('style', '');
            if (button_style == 'fixed_width') {
                jQuery(this).css('width', fixed_button_width + 'px');
            } else if (button_style == 'full_width') {
                var fullWidthCss = '';
                if (full_button_width != '' && full_button_width != '0') {
                    fullWidthCss = 'width:100%;max-width:' + full_button_width + '%;';
                } else {
                    fullWidthCss = 'width:100%;';
                }
                jQuery(this).css('cssText', fullWidthCss);
            }
        });
    } else {
        jQuery('.ars_like_btn_preview').hide();
    }
    return false;
}
jQuery(document).on('change', '#ars_like_load_native_button, #arsocialshare_like_skin_select, #arsocialshare_like_button_width, #arsocialshare_like_fixed_width_btn, #arsocialshare_like_full_width_button', function () {
    arsocial_set_sociallike_preview();
    return false;
});

function arsocial_set_like_btn_preview(previewID, isNativeBtn, theme, button_width)
{
    var previewDiv = jQuery('#' + previewID);
    previewDiv[0].className = previewDiv[0].className.replace(/\bars_native_.*?\b/g, '');
    previewDiv[0].className = previewDiv[0].className.replace(/\bars_like_.*?\b/g, '');
    if (isNativeBtn == true) {
        previewDiv.addClass('ars_native_' + theme);
        previewDiv.addClass('ars_like_' + button_width);
    } else {
        previewDiv.addClass('ars_native_no');
    }
    return false;
}
jQuery(document).on('change', '#ars_top_bottom_skins, #ars_top_bottom_bar_load_native_btn, .ars_like_top_bottom_btn_width_input', function () {
    var previewID = 'arsociallike_top_bottom_preview_wrapper';
    var isNativeBtn = false;
    if (jQuery('#ars_top_bottom_bar_load_native_btn').val() == 'yes') {
        var isNativeBtn = true;
    }
    var theme = jQuery('#ars_top_bottom_skins').val();
    if (theme != 'skin3') {
        jQuery('#ars_top_bottom_skins').val('skin3');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        jQuery('#ars_lite_pro_shortcode_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }    
    var button_style = jQuery('.ars_like_top_bottom_btn_width_input:checked').val();
    arsocial_set_like_btn_preview(previewID, isNativeBtn, theme, button_style)
    return false;
});
jQuery(document).on('change', '#ars_popup_skins, #ars_popup_load_native_btn, .ars_like_popup_btn_width_input', function () {
    var previewID = 'arsociallike_popup_preview_wrapper';
    var isNativeBtn = false;
    if (jQuery('#ars_popup_load_native_btn').val() == 'yes') {
        var isNativeBtn = true;
    }
    var theme = jQuery('#ars_popup_skins').val();
    var button_style = jQuery('.ars_like_popup_btn_width_input:checked').val();
    arsocial_set_like_btn_preview(previewID, isNativeBtn, theme, button_style)
    return false;
});
jQuery(document).on('change', '#arsociallike_page_skins, #ars_page_load_native_btn, .ars_like_pages_btn_width_input', function () {
    var previewID = 'arsociallike_pages_preview_wrapper';
    var isNativeBtn = false;
    if (jQuery('#ars_page_load_native_btn').val() == 'yes') {
        var isNativeBtn = true;
    }
    var theme = jQuery('#arsociallike_page_skins').val();
    if (theme != 'skin3') {
        jQuery('#arsociallike_page_skins').val('skin3');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }
    var button_style = jQuery('.ars_like_pages_btn_width_input:checked').val();
    arsocial_set_like_btn_preview(previewID, isNativeBtn, theme, button_style)
    return false;
});
jQuery(document).on('change', '#ars_post_skin, #ars_post_load_native_btn, .ars_posts_btn_width_input', function () {
    var previewID = 'arsociallike_posts_preview_wrapper';
    var isNativeBtn = false;
    if (jQuery('#ars_post_load_native_btn').val() == 'yes') {
        var isNativeBtn = true;
    }
    var theme = jQuery('#ars_post_skin').val();
    if (theme != 'skin3') {
        jQuery('#ars_post_skin').val('skin3');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }
    var button_style = jQuery('.ars_posts_btn_width_input:checked').val();
    arsocial_set_like_btn_preview(previewID, isNativeBtn, theme, button_style)
    return false;
});
jQuery(document).on('change', '#arsociallike_woocommerce_skins, #ars_woocommerce_load_native_btn, .ars_like_woocommerce_btn_width_input', function () {
    var previewID = 'arsociallike_woocommerce_preview_wrapper';
    var isNativeBtn = false;
    if (jQuery('#ars_woocommerce_load_native_btn').val() == 'yes') {
        var isNativeBtn = true;
    }
    var theme = jQuery('#arsociallike_woocommerce_skins').val();
    if (theme != 'skin3') {
        jQuery('#arsociallike_woocommerce_skins').val('skin3');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }
    var button_style = jQuery('.ars_like_woocommerce_btn_width_input:checked').val();
    arsocial_set_like_btn_preview(previewID, isNativeBtn, theme, button_style)
    return false;
});


function arsocial_set_fan_counter_preview(previewID, theme, button_width, position, like_button_position)
{
    var previewDiv = jQuery('#' + previewID);
    previewDiv.removeClass('arslite_small_fan_button arslite_medium_fan_button arslite_large_fan_button');
    if (button_width == '') {
        button_width = 'medium'
    }
    previewDiv.addClass('arslite_' + button_width + '_fan_button');
    if (position == '') {
        position = 'left'
    }
    jQuery(previewDiv).find('.ars_fan_like_wrapper').each(function () {
        jQuery(this).removeClass('ars_left ars_top ars_bottom ars_right').addClass('ars_' + like_button_position);
    });

    previewDiv.removeClass('ars_left_buttons ars_right_buttons');
    previewDiv.addClass('ars_' + position + '_buttons');
    previewDiv.find('.ars_fan_preview_block').hide();
    previewDiv.find('.ars_fan_preview_block.ars_fan_' + theme).show();
    return false;
}
jQuery(document).on('change', '#arsocialfan_display_style_sidebar, .ars_fan_sidebar_btn_width_input, .ars_fan_sidebar_position_radio, #arsfan_sidebar_like_follow_position', function () {
    var theme = jQuery('#arsocialfan_display_style_sidebar').val();
    var button_width = jQuery('.ars_fan_sidebar_btn_width_input:checked').val();
    var position = jQuery('.ars_fan_sidebar_position_radio:checked').val();
    var like_button_position = jQuery('#arsfan_sidebar_like_follow_position').val();
    if (theme != 'flat') {
        jQuery('#arsocialfan_display_style_sidebar').val('flat');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }
    arsocial_set_fan_counter_preview('ars_fan_counter_sidebar_preview', theme, button_width, position, like_button_position);
    return false;
});
jQuery(document).on('change', '#arsocialfan_display_style_bar, .ars_fan_bar_btn_width_input, #arsfan_fan_bar_like_follow_position', function () {
    var theme = jQuery('#arsocialfan_display_style_bar').val();
    if (theme != 'flat') {
        jQuery('#arsocialfan_display_style_bar').val('flat');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }    
    var button_width = jQuery('.ars_fan_bar_btn_width_input:checked').val();
    var like_button_position = jQuery('#arsfan_fan_bar_like_follow_position').val();
    arsocial_set_fan_counter_preview('ars_fan_counter_top_bottom_preview', theme, button_width, '', like_button_position);
    return false;
});
jQuery(document).on('change', '#arsocialfan_popup_skin, .ars_fan_popup_btn_width_input, #arsfan_popup_like_follow_position', function () {
    var theme = jQuery('#arsocialfan_popup_skin').val();
    var button_width = jQuery('.ars_fan_popup_btn_width_input:checked').val();
    var like_button_position = jQuery('#arsfan_popup_like_follow_position').val();
    arsocial_set_fan_counter_preview('ars_fan_counter_popup_preview', theme, button_width, '', like_button_position);
    return false;
});
jQuery(document).on('change', '#arsfan_page_skin, .ars_fan_page_btn_width_input,#arsfan_pages_like_follow_position', function () {
    var theme = jQuery('#arsfan_page_skin').val();
    if (theme != 'flat') {
        jQuery('#arsfan_page_skin').val('flat');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }    
    var button_width = jQuery('.ars_fan_page_btn_width_input:checked').val();
    var like_button_position = jQuery('#arsfan_pages_like_follow_position').val();
    arsocial_set_fan_counter_preview('ars_fan_counter_pages_preview', theme, button_width, '', like_button_position);
    return false;
});
jQuery(document).on('change', '#arsfan_post_skin, .ars_fan_post_btn_width_input, #arsfan_posts_like_follow_position', function () {
    var theme = jQuery('#arsfan_post_skin').val();
    if (theme != 'flat') {
        jQuery('#arsfan_post_skin').val('flat');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }
    var button_width = jQuery('.ars_fan_post_btn_width_input:checked').val();
    var like_button_position = jQuery('#arsfan_posts_like_follow_position').val();
    arsocial_set_fan_counter_preview('ars_fan_counter_posts_preview', theme, button_width, '', like_button_position);
    return false;
});
jQuery(document).on('change', '#ars_fan_woocommerce_skins, .ars_fan_woocommerce_btn_width_input,#arsfan_woocommerce_like_follow_position', function () {
    var theme = jQuery('#ars_fan_woocommerce_skins').val();
    if (theme != 'flat') {
        jQuery('#ars_fan_woocommerce_skins').val('flat');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;        
    }
    var button_width = jQuery('.ars_fan_woocommerce_btn_width_input:checked').val();
    var like_button_position = jQuery('#arsfan_woocommerce_like_follow_position').val();
    arsocial_set_fan_counter_preview('ars_fan_counter_woocommerce_preview', theme, button_width, '', like_button_position);
    return false;
});
jQuery(document).on('change', '#arsocialfan_display_style_select, .ars_fan_sidebar_position_radio_gs, .ars_fan_btn_width_input_gs,#arsfan_like_follow_position', function () {
    var theme = jQuery('#arsocialfan_display_style_select').val();
    if (theme != 'flat') {
        jQuery('#arsocialfan_display_style_select').val('flat');
        jQuery('#ars_lite_pro_shortcode_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }
    var button_width = jQuery('.ars_fan_btn_width_input_gs:checked').val();
    var position = jQuery('.ars_fan_sidebar_position_radio_gs:checked').val();
    var like_button_position = jQuery('#arsfan_like_follow_position').val();
    arsocial_set_fan_counter_preview('ars_fan_counter_main_preview', theme, button_width, position, like_button_position);
    arsocial_set_fan_counter_preview('ars_fan_counter_sidebar_preview_gs', theme, button_width, position, like_button_position);
    return false;
});

function ars_locker_tempalte_preview(previewID, theme, overlap_mode, heading, content)
{
    var previewDiv = jQuery('#' + previewID);
    previewDiv.attr('class', '');
    previewDiv.addClass('arsocial_lite_locker_main_wrapper arsocial_lite_locker_' + theme + '_theme arsocial_lite_locker_overlap_' + overlap_mode);
    previewDiv.find('#ars_locker_heading').html(heading);
    previewDiv.find('#ars_locker_content').html(content);
    previewDiv.find('.arsocialshare_locked_content').removeClass('ars_locked_full ars_locked_transparency ars_locked_blurring');
    previewDiv.find('.arsocialshare_locked_content').addClass('ars_locked_' + overlap_mode);

    if (overlap_mode == 'blurring') {
        ars_set_blur_effect('arsocialshare_locked_content', true);
    } else {
        ars_set_blur_effect('arsocialshare_locked_content', false);
    }
    return false;
}
function ars_set_blur_effect(dataClass, isSet)
{
    if (jQuery.isFunction(jQuery().foggy))
    {
        if (isSet == false) {
            jQuery('.' + dataClass).foggy(false);
        } else {
            jQuery('.' + dataClass).foggy({
                blurRadius: 2,
                opacity: 0.4,
                cssFilterSupport: true
            });
        }
    }
}

jQuery(document).on('change', '#arsocialshare_global_locker_templates, #arsocial_lite_locker_title, #arsocial_lite_locker_content, .ars_locker_overlap_mode_radio', function () {
    var theme = jQuery('#arsocialshare_global_locker_templates').val();
    if (theme != 'glass') {
        jQuery('#arsocialshare_global_locker_templates').val('glass');
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        jQuery('#ars_lite_locker_shortcode_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }
    var overlap_mode = jQuery('.ars_locker_overlap_mode_radio:checked').val();
    var heading = jQuery('#arsocial_lite_locker_title').val();
    var content = jQuery('#arsocial_lite_locker_content').val();
    ars_locker_tempalte_preview('ars_locker_template_preview_box', theme, overlap_mode, heading, content);
});
jQuery(document).on('change', '#arsocialshare_global_locker_templates, #arsociashare_locker_theme', function () {
    var selected = jQuery(this).val();
    jQuery('.ars_locker_preview_img').hide();
    jQuery('.ars_locker_preview_img.ars_locker_preview_' + selected).css('display', 'inline-block');
    return false;
});

jQuery(document).on('click', '#save_social_fan_counter', function () {
    jQuery('.ars_error_message').hide();
    if (jQuery('.arsocialshare_fan_network_input:checked').length == 0) {
        jQuery('#arsocialshare_fan_network_error').show();
        jQuery(window.opera ? 'html' : 'html, body').animate({scrollTop: jQuery('#arsocialshare_fan_network_error').offset().top - 100}, 1000);
    } else {
        if (jQuery(this).attr('data-id') !== '' && jQuery(this).attr('data-id') === 'sticky_belt') {
            jQuery('.sticky_belt_loader').show();
        } else {
            jQuery('.arsocialshare_save_loader').show();
        }


        var form = jQuery('form#arsocialshare_fancounter').ARSLockerFilterFormData();
        var json_fields = jQuery.toJSON(form);
        var action = "ars_lite_save_arsocial_fancounter";
        var ajaxurl = (__ARSFanAjaxURL !== undefined) ? __ARSFanAjaxURL : jQuery('#arsocialfan_ajaxurl').val();

        function completed_ajax_social_fancounter() {

            jQuery('.sticky_belt_loader').hide();
            jQuery('.arsocialshare_save_loader').hide();

            var response = ARSFanSACK.response;
            var res = jQuery.parseJSON(response);
            var act = res.action;
            var id = res.id;
            if (act === 'new_fan') {
                if (window.history.pushState) {
                    var pageurl = ARSremoveVariableFromURL(document.URL, 'network_id');
                    pageurl = ARSremoveVariableFromURL(pageurl, 'arsocialaction');
                    pageurl += '&arsocialaction=edit-fan&network_id=' + id;
                    window.history.pushState({path: pageurl}, '', pageurl);
                    jQuery('input[name=fan_id]').val(id);
                    jQuery('input[name=arsocial_fan_action]').val('edit-fan');
                    jQuery('#success-message').html(res.body);
                    jQuery('.ars_share_wrapper').find('#ars_share_shortcode').html('[ARSocial_Lite_Fan id=' + id + ']');
                    jQuery('.ars_share_wrapper').find('#ars_share_shortcode').attr('data-code', '[ARSocial_Lite_Fan id=' + id + ']');
                    jQuery('.ars_share_wrapper').show();
                    jQuery('#success-message').animate({width: 'toggle'}, 'slow');

                    jQuery(window.opera ? 'html' : 'html, body').animate('slow');

                    jQuery('#success-message').delay(3000).animate({width: 'toggle'}, 'slow');
                }
            } else {
                jQuery('#success-message').html(res.body);

                jQuery('#success-message').animate({width: 'toggle'}, 'slow');

                jQuery(window.opera ? 'html' : 'html, body').animate('slow');

                jQuery('#success-message').delay(3000).animate({width: 'toggle'}, 'slow');
            }
        }
        var ARSFanSACK = new sack(ajaxurl);
        ARSFanSACK.execute = 0;
        ARSFanSACK.method = "POST";
        ARSFanSACK.setVar("action", action);
        ARSFanSACK.setVar("filtered_data", json_fields);
        ARSFanSACK.onError = function () {
            alert('Ajax error while saving networks.');
        }
        ARSFanSACK.onCompletion = completed_ajax_social_fancounter;
        ARSFanSACK.runAJAX();
    }
    return false;
});

jQuery(document).on('click', '#update_arsocialshare_display_settings', function () {

    var selected_theme = jQuery('.arsocialshare_network_themes:checked').val();
    if (selected_theme === '') {
        selected_theme = 'default';

    }
    var ajaxurl = jQuery('#arsocialshare_ajaxurl').val();
    jQuery.ajax({
        url: ajaxurl,
        dataType: 'json',
        type: 'POST',
        data: 'action=arsocial_lite_network_update_theme&theme=' + selected_theme,
        success: function (response) {
            if (response.code === '200' || response.code === 200) {
                alert(response.body);
            }
        }
    });
});

jQuery(document).on('change', '.ars_display_option_input', function (e) {
    var value = jQuery(this).val();
    var checked = jQuery(this).is(':checked');
    var dataid = jQuery(this).attr('data-id');
    if (checked === true) {
        jQuery('#arsocialshare_extend_opt_' + dataid).slideDown().addClass('selected');
    } else {
        jQuery('#arsocialshare_extend_opt_' + dataid).slideUp().removeClass('selected');
    }
});

jQuery(document).on('click', '#update_arsocialshare_position_settings', function (e) {
    var networks = {};
    var network_display_name = {};
    var n = 0;
    jQuery('.ars_error_message').hide();
    var $err = false;
    var $errID = '';

    var check_position = false;
    if (jQuery('input#arsocialshare_enable_sidebar').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_enable_top_bottom_bar').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_enable_popup').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_enable_pages').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_enable_posts').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_woocommerce_switch').val() == 'yes') {
        check_position = true;
    }
    if (check_position) {
        if (jQuery('.arsocialshare_position_setting_network_input:checked').length == 0) {
            jQuery('#arsocialshare_network_error').show();
            $err = true;
            $errID = 'arsocialshare_network_error';
        }
    }

    if ($err) {
        jQuery(window.opera ? 'html' : 'html, body').animate({scrollTop: jQuery('#' + $errID).offset().top - 100}, 1000);
    } else {
        if (jQuery(this).attr('data-id') !== '' && jQuery(this).attr('data-id') === 'sticky_belt') {
            jQuery('.sticky_belt_loader').show();
        } else {
            jQuery('.arsocialshare_save_loader').show();
        }
        jQuery('.arsocialshare_position_setting_network_input').each(function (e) {
            if (jQuery(this).is(':checked')) {
                networks[n] = jQuery(this).val();
                n++;
            }
            network_display_name[jQuery(this).val()] = {};
            network_display_name[jQuery(this).val()]['display_name'] = jQuery(this).parent().find('input[name=ars_network_display_name]').val();
        });
        var display_on = {};
//        display_on['hide_mobile'] = {};
        var d = 0;
        jQuery('.ars_display_option_input').each(function (e) {

            if (jQuery(this).is(':checked')) {
                var post_type = jQuery(this).val();
                var has_woocommerce = jQuery('#arsocialshare_is_woocommerce').val();

                display_on[post_type] = {};
                jQuery('.arsocialshare_display_networks_on').each(function () {

                    if (post_type === 'page') {
                        display_on[post_type].skin = jQuery("#arsocialshare_page_settings_skins").val();
                        display_on[post_type].position = jQuery('.arsocialshare_display_networks_pages_on:checked').val();
                        display_on[post_type].btn_style = jQuery('.arsocialshare_pages_button_style:checked').val();
                        display_on[post_type].hover_effect = jQuery('#arsocialshare_pages_hover_effect').val();
                        display_on[post_type].remove_space = jQuery('#arsocialshare_pages_remove_space').val();
                        display_on[post_type].btn_align = jQuery('.ars_pages_btn_align_input:checked').val();

                        display_on[post_type].show_counter = jQuery('#arsocialshare_pages_show_count').val();
                        display_on[post_type].btn_width = jQuery('.ars_share_pages_btn_width_input:checked').val();
                        display_on[post_type].more_btn = jQuery('#arsocialshare_pages_more_button').val();
                        display_on[post_type].more_btn_style = jQuery('#arsocialshare_pages_more_button_style').val();
                        display_on[post_type].more_btn_act = jQuery('#arsocialshare_pages_more_button_action').val();
                        display_on[post_type].exclude_pages = jQuery('#arsocialshare_page_excludes').val();
                        display_on[post_type].top = (jQuery('#arsocialshare_pages_buttons_on_top').is(':checked')) ? true : false;
                        display_on[post_type].bottom = (jQuery('#arsocialshare_pages_buttons_on_bottom').is(':checked')) ? true : false;
                        display_on[post_type].enable_total_counter = jQuery('#arsocialshare_pages_show_total_share').val();
                        display_on[post_type].arsocial_total_share_label = jQuery('#arsocialshare_pages_total_share_label').val();
                        display_on[post_type].total_counter_position = jQuery('#arsocial_page_total_counter_position').val();
                        display_on[post_type].no_format = jQuery('#arsfan_page_display_number_format').val();
                    }

                    if (post_type === 'post') {
                        display_on[post_type].skin = jQuery("#arsocialshare_post_settings_skins").val();
                        display_on[post_type].position = jQuery('.arsocialshare_display_networks_posts_on:checked').val();
                        display_on[post_type].btn_style = jQuery('.arsocialshare_posts_button_style:checked').val();
                        display_on[post_type].hover_effect = jQuery('#arsocialshare_posts_hover_effect').val();
                        display_on[post_type].remove_space = jQuery('#arsocialshare_posts_remove_space').val();
                        display_on[post_type].btn_align = jQuery('.ars_posts_btn_align_input:checked').val();
                        display_on[post_type].show_counter = jQuery('#arsocialshare_posts_show_count').val();
                        display_on[post_type].btn_width = jQuery('.ars_share_posts_btn_width_input:checked').val();
                        display_on[post_type].more_btn = jQuery('#arsocialshare_posts_more_button').val();
                        display_on[post_type].more_btn_style = jQuery('#arsocialshare_posts_more_button_style').val();
                        display_on[post_type].more_btn_act = jQuery('#arsocialshare_posts_more_button_action').val();
                        display_on[post_type].excerpt = jQuery('#arsocialshare_enable_post_excerpt').val();
                        display_on[post_type].exclude_pages = jQuery('#arsocialshare_excludes_posts').val();
                        display_on[post_type].top = (jQuery('#arsocialshare_posts_buttons_on_top').is(':checked')) ? true : false;
                        display_on[post_type].bottom = (jQuery('#arsocialshare_posts_buttons_on_bottom').is(':checked')) ? true : false;

                        display_on[post_type].enable_total_counter = jQuery('#arsocialshare_posts_show_total_share').val();
                        display_on[post_type].arsocial_total_share_label = jQuery('#arsocialshare_posts_total_share_label').val();
                        display_on[post_type].total_counter_position = jQuery('#arsocial_post_total_counter_position').val();
                        display_on[post_type].no_format = jQuery('#arsfan_post_display_number_format').val();
                    }


                    if (post_type === 'sidebar') {

                        display_on[post_type].skin = jQuery('#arsocialshare_sidebar_skins').val();

                        if (jQuery('#arsocialshare_sidebar_buttons_on_left').is(':checked')) {
                            display_on[post_type].position = 'left';
                        } else {
                            display_on[post_type].position = 'right';
                        }

                        display_on[post_type].button_style = jQuery('.arsocialshare_sidebar_button_style').val();
                        display_on[post_type].hover_effect = jQuery('#arsocialshare_sidebar_hover_effect').val();
                        display_on[post_type].button_width = jQuery('.ars_share_sidebar_btn_width_input:checked').val();
                        display_on[post_type].remove_space = jQuery('#arsocialshare_sidebar_remove_space').val();
                        display_on[post_type].show_counter = jQuery('#arsocialshare_sidebar_show_count').val();
                        display_on[post_type].more_button = jQuery('#arsocialshare_sidebar_more_button').val();
                        display_on[post_type].more_button_style = jQuery('#arsocialshare_sidebar_more_button_style').val();
                        display_on[post_type].more_button_action = jQuery('#arsocialshare_sidebar_more_button_action').val();
                        display_on[post_type].exclude_pages = jQuery('#arsocialshare_sidebar_excludes_pages').val();
                        display_on[post_type].enable_total_counter = jQuery('#arsocialshare_sidebar_show_total_share').val();
                        display_on[post_type].arsocial_total_share_label = jQuery('#arsocialshare_sidebar_total_share_label').val();
                        display_on[post_type].no_format = jQuery('#arsfan_sidebar_display_number_format').val();
                    }

                    if (post_type === 'top_bottom_bar') {

                        display_on[post_type].skin = jQuery('#arsocialshare_top_bottom_skins').val();
                        display_on[post_type].top = jQuery('#arsocialshare_buttons_on_top').is(":checked");
                        display_on[post_type].bottom = jQuery('#arsocialshare_buttons_on_bottom').is(":checked");
                        display_on[post_type].button_style = jQuery('.arsocialshare_top_bottom_button_style:checked').val();
                        display_on[post_type].hover_effect = jQuery('#arsocialshare_top_bottom_hover_effect').val();
                        display_on[post_type].remove_space = jQuery('#arsocialshare_top_bottom_remove_space').val();
                        display_on[post_type].display_bar_on = jQuery('#arsocialshare_top_bottom_bar_display_on').val();
                        display_on[post_type].loading_value = jQuery('#arsocialshare_top_bottom_bar_onload_time').val();
                        display_on[post_type].scroll_value = jQuery('#arsocialshare_top_bottom_bar_onscroll_percentage').val();
                        display_on[post_type].show_counter = jQuery('#arsocialshare_top_bottom_show_count').val();
                        display_on[post_type].button_width = jQuery('.ars_share_top_bottom_btn_width_input:checked').val();
                        display_on[post_type].more_button = jQuery('#arsocialshare_top_bottom_bar_more_button').val();
                        display_on[post_type].more_btn_style = jQuery('#arsocialshare_topbottom_more_button_style').val();
                        display_on[post_type].more_btn_action = jQuery('#arsocialshare_topbottom_more_button_action').val();
                        display_on[post_type].btn_alignment = jQuery('.ars_top_bottom_btn_align_input:checked').val();
                        display_on[post_type].exclude_pages = jQuery('#arsocialshare_topbottom_excludes_pages').val();
                        display_on[post_type].y_point = jQuery("#arsocialshare_top_bar_y_point").val();
                        display_on[post_type].enable_total_counter = jQuery('#arsocialshare_bar_show_total_share').val();
                        display_on[post_type].arsocial_total_share_label = jQuery('#arsocialshare_bar_total_share_label').val();
                        display_on[post_type].total_counter_position = jQuery('#arsocial_bar_total_counter_position').val();
                        display_on[post_type].no_format = jQuery('#ars_bar_display_number_format').val();
                    }
                });
                d++;
            }
        });

        display_on['skin'] = jQuery('#arsocialshare_global_settings_skins').val();
        display_on['button_style'] = jQuery('#arsocialshare_global_share_button_style').val();
        display_on['hover_effect'] = jQuery('#arsocialshare_global_share_hover_effect').val();
        display_on['more_button'] = {};
        display_on['more_button'].after = jQuery('#arsocialshare_global_settings_more_button').val();
        display_on['more_button'].style = jQuery('#arsocialshare_global_more_button_style').val();
        display_on['more_button'].action = jQuery('#arsocialshare_global_more_button_action').val();
        display_on['remove_space'] = jQuery('#arsocialshare_global_share_remove_space').val();
        display_on['show_counter'] = jQuery('#arsocialshare_share_show_count').val();
        display_on['button_width'] = jQuery('#arsocialshare_global_share_button_width').val();
        display_on['fixed_button_width'] = jQuery('#arsocialshare_global_settings_fixed_button_width').val();
        display_on['full_button_width'] = jQuery('#arsocialshare_global_settings_full_button_width_desktop').val();

        var options = {};
        options.networks = networks;
        options.network_display_name = network_display_name;
        options.displaysettings = display_on;

        var ajaxurl = jQuery('#arsocialshare_ajaxurl').val();
        var details = JSON.stringify(options);

        jQuery.ajax({
            url: ajaxurl,
            type: 'POST',
            dataType: 'json',
            data: 'action=ars_lite_savedisplaysettings&options=' + details,
            success: function (response) {
                jQuery('#success-message').html(response);

                jQuery('#success-message').animate({width: 'toggle'}, 'slow');

                jQuery(window.opera ? 'html' : 'html, body').animate('slow');

                jQuery('#success-message').delay(3000).animate({width: 'toggle'}, 'slow');

                jQuery('.sticky_belt_loader').hide();
                jQuery('.arsocialshare_save_loader').hide();
            }
        });
    }
    return false;
});

jQuery(document).on('click', '#update_arsocialshare_networks', function () {
    var form = jQuery('form#arsocialshare_networks').ARSLockerFilterFormData();
    var json_fields = jQuery.toJSON(form);
    var ajaxurl = jQuery('#arsocialshare_ajaxurl').val();
    function completed_ajax_socialshare_networks() {
        var response = jQuery.parseJSON(ARShareSACK.response);
        alert(response.body);
        if (response.action == 'new') {
            if (window.history.pushState) {
                var pageurl = ARSremoveVariableFromURL(document.URL, 'action');
                pageurl = ARSremoveVariableFromURL(pageurl, 'network_id');
                pageurl += '&action=edit&network_id=' + response.id;
                window.history.pushState({path: pageurl}, '', pageurl);
                jQuery('#arsocialshare_network_id').val(response.id);
                jQuery('#arsocialshare_action').val('edit');
            }
        }
    }
    var ARShareSACK = new sack(ajaxurl);
    ARShareSACK.execute = 0;
    ARShareSACK.method = "POST";
    ARShareSACK.setVar("action", "arsocial_lite_save_networks");
    ARShareSACK.setVar("formdata", json_fields);
    ARShareSACK.onError = function () {
        alert('Ajax error while saving pricing table');
    }
    ARShareSACK.onCompletion = completed_ajax_socialshare_networks;
    ARShareSACK.runAJAX();

});

function arsocial_lite_delete_network(network_id, row_id) {
    var ajaxurl = jQuery('#ars_ajaxurl').val();
    jQuery.ajax({
        url: ajaxurl,
        type: 'POST',
        dataType: 'json',
        data: 'action=arsocial_lite_delete_network&network_id=' + network_id,
        success: function (response) {
            alert(response.body);
            if (response.message == 'success') {
                jQuery('#ars_network_row_' + row_id).remove();
            }
        }
    });
}


jQuery(document).on('click', 'ul li#arsocialshare_display_settings', function (e) {
    var html = '';
    jQuery('.arsocialshare_network_item').not('.arsocialshare_network_heading').each(function () {
        if (jQuery(this).find('.arsocialshare_networks_action').is(':checked')) {
            var network = jQuery(this).attr('data-order');
            var network_display_name = jQuery(this).find('#arsocialnetwork_custom_name').val();
            html += '<li class="arsocialshare_networks_sortable_li" id=' + network + '>' + network_display_name + '</li>';
        }
    });
    jQuery('ul#arsocialshare_network_sortable_ul').html('');
    jQuery('ul#arsocialshare_network_sortable_ul').html(html);

});



jQuery(document).on('click', '#update_arsocial_lite_locker_display_settings', function (e) {

    if (typeof tinyMCE !== 'undefined' && jQuery.isFunction(tinyMCE.triggerSave)) {
        tinyMCE.triggerSave();
    }
    jQuery('.ars_error_message').hide();
    var $err = false;
    var $errID = '';
    var $networkSLLength = jQuery('.arsocial_lite_locker_share_like_network_input:checked').length;
    var $networkSILength = jQuery('.arsocial_lite_locker_signin_network_input:checked').length;
    var $positionLength = jQuery('.arsocial_lite_locker_display_networks_on_input:checked').length;
    var ars_locker_type_radio = jQuery('.ars_locker_type_radio:checked').val();

    var check_position = false;
    if (jQuery('input#arsocialshare_enable_pages').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_enable_posts').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#social_like_share:checked').val() == 'social_like_share') {
        if (check_position) {
            if ($networkSLLength == 0) {
                jQuery('#arsocial_lite_locker_network_error').show();
                $err = true;
                $errID = 'arsocial_lite_locker_network_error';
            }
        }
    } else {
        if (check_position) {
            if ($networkSILength == 0) {
                jQuery('#arsocial_lite_locker_network_error').show();
                $err = true;
                $errID = 'arsocial_lite_locker_network_error';
            }
        }
    }

    if ($err) {
        jQuery(window.opera ? 'html' : 'html, body').animate({scrollTop: jQuery('#' + $errID).offset().top - 100}, 1000);
    } else {
        if (jQuery(this).attr('data-id') !== '' && jQuery(this).attr('data-id') === 'sticky_belt') {
            jQuery('.sticky_belt_loader').show();
        } else {
            jQuery('.arsocialshare_save_loader').show();
        }

        var form = jQuery('form#arsocial_lite_locker_display_settings').ARSLockerFilterFormData();
        var json_fields = jQuery.toJSON(form);
        var action = "save_arsocial_lite_locker_display_settings";
        var ajaxurl = (__ARSLockerAjaxURL !== undefined) ? __ARSLockerAjaxURL : jQuery('#arsocial_lite_locker_ajaxurl').val();
        function completed_ajax_social_locker_display_settings() {
            var response = ARSLockerDisplaySettingsSACK.response;
            var response = jQuery.parseJSON(response);
            jQuery('#success-message').html(response.message);

            jQuery('#success-message').animate({width: 'toggle'}, 'slow');

            jQuery(window.opera ? 'html' : 'html, body').animate('slow');

            jQuery('#success-message').delay(3000).animate({width: 'toggle'}, 'slow');
            jQuery('.sticky_belt_loader').hide();
            jQuery('.arsocialshare_save_loader').hide();
        }
        var ARSLockerDisplaySettingsSACK = new sack(ajaxurl);
        ARSLockerDisplaySettingsSACK.execute = 0;
        ARSLockerDisplaySettingsSACK.method = "POST";
        ARSLockerDisplaySettingsSACK.setVar("action", action);
        ARSLockerDisplaySettingsSACK.setVar("filtered_data", json_fields);
        ARSLockerDisplaySettingsSACK.onError = function () {
            alert('Ajax error while saving pricing table');
        }
        ARSLockerDisplaySettingsSACK.onCompletion = completed_ajax_social_locker_display_settings;
        ARSLockerDisplaySettingsSACK.runAJAX();
    }
    return false;
});

jQuery(document).on('click', '#save_social_like_display_settings', function (e) {
    if (typeof tinyMCE !== 'undefined' && jQuery.isFunction(tinyMCE.triggerSave)) {
        tinyMCE.triggerSave();
    }

    jQuery('.ars_error_message').hide();
    var $err = false;
    var $errID = '';

    var check_position = false;
    if (jQuery('input#ars_enable_sidebar').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_enable_top_bottom_bar').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_enable_pages').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_enable_posts').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsociallike_woocommerce').val() == 'yes') {
        check_position = true;
    }
    if (check_position && jQuery('.arsocialshare_like_network_input:checked').length == '0') {
        jQuery('#arsocialshare_like_network_error').show();
        $err = true;
        $errID = 'arsocialshare_like_network_error';
    }
    if ($err) {
        jQuery(window.opera ? 'html' : 'html, body').animate({scrollTop: jQuery('#' + $errID).offset().top - 100}, 1000);
    } else {
        if (jQuery(this).attr('data-id') !== '' && jQuery(this).attr('data-id') === 'sticky_belt') {
            jQuery('.sticky_belt_loader').show();
        } else {
            jQuery('.arsocialshare_save_loader').show();
        }

        var form = jQuery('form#arsocialshare_like_display_settings').ARSLockerFilterFormData();

        var json_fields = jQuery.toJSON(form);
        var action = "ars_lite_save_arsocial_like";
        var ajaxurl = (__ARSLikeAjaxURL !== undefined) ? __ARSLikeAjaxURL : jQuery('#arslike_ajaxurl').val();
        function completed_ajax_social_like_display_settings() {
            var response = ARSLikeDisplaySettingsSACK.response;
            response = JSON.parse(response);
            jQuery('#success-message').html(response.body);

            jQuery('#success-message').animate({width: 'toggle'}, 'slow');

            jQuery(window.opera ? 'html' : 'html, body').animate('slow');

            jQuery('#success-message').delay(3000).animate({width: 'toggle'}, 'slow');
            jQuery('.sticky_belt_loader').hide();
            jQuery('.arsocialshare_save_loader').hide();
        }
        var ARSLikeDisplaySettingsSACK = new sack(ajaxurl);
        ARSLikeDisplaySettingsSACK.execute = 0;
        ARSLikeDisplaySettingsSACK.method = "POST";
        ARSLikeDisplaySettingsSACK.setVar("action", action);
        ARSLikeDisplaySettingsSACK.setVar("filtered_data", json_fields);
        ARSLikeDisplaySettingsSACK.onError = function () {
            alert('Ajax error while saving pricing table');
        }
        ARSLikeDisplaySettingsSACK.onCompletion = completed_ajax_social_like_display_settings;
        ARSLikeDisplaySettingsSACK.runAJAX();
    }
    return false;
});

jQuery(document).on('click', '.arsocialshare_ds_locker_enable', function (e) {
    var ischecked = jQuery(this).is(':checked');
    var boxid = jQuery(this).attr('data-box');
    if (ischecked) {
        jQuery('#' + boxid).addClass('enable');
    } else {
        jQuery('#' + boxid).removeClass('enable');
    }
});

jQuery(document).on('click', '#save_social_fan_counter_display_settings', function (e) {
    if (typeof tinyMCE !== 'undefined' && jQuery.isFunction(tinyMCE.triggerSave)) {
        tinyMCE.triggerSave();
    }
    jQuery('.ars_error_message').hide();
    var $err = false;
    var $errID = '';

    var check_position = false;
    if (jQuery('input#arsocialshare_enable_sidebar').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_enable_top_bottom_bar').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_enable_popup').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_enable_pages').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#arsocialshare_enable_posts').is(':checked')) {
        check_position = true;
    }
    if (jQuery('input#ars_enable_woocommerce').is(':checked')) {
        check_position = true;
    }
    if (check_position) {
        if (jQuery('.arsocialshare_fan_network_input:checked').length == 0) {
            jQuery('#arsocialshare_fan_network_error').show();
            $err = true;
            $errID = 'arsocialshare_fan_network_error';
        }
    }

    if ($err) {
        jQuery(window.opera ? 'html' : 'html, body').animate({scrollTop: jQuery('#' + $errID).offset().top - 100}, 1000);
    } else {
        if (jQuery(this).attr('data-id') !== '' && jQuery(this).attr('data-id') === 'sticky_belt') {
            jQuery('.sticky_belt_loader').show();
        } else {
            jQuery('.arsocialshare_save_loader').show();
        }

        var form = jQuery('form#arsocialshare_fan_display_settings').ARSLockerFilterFormData();

        var json_fields = jQuery.toJSON(form);
        var action = "ars_lite_save_arsocial_fancounter";
        var ajaxurl = (__ARSFanAjaxURL !== undefined) ? __ARSFanAjaxURL : jQuery('#arsfan_ajaxurl').val();
        function completed_ajax_social_fan_display_settings() {
            var response = ARSFanDisplaySettingsSACK.response;

            response = JSON.parse(response);

            jQuery('#success-message').html(response.body);

            jQuery('#success-message').animate({width: 'toggle'}, 'slow');

            jQuery(window.opera ? 'html' : 'html, body').animate('slow');

            jQuery('#success-message').delay(3000).animate({width: 'toggle'}, 'slow');

            jQuery('.sticky_belt_loader').hide();
            jQuery('.arsocialshare_save_loader').hide();

        }
        var ARSFanDisplaySettingsSACK = new sack(ajaxurl);
        ARSFanDisplaySettingsSACK.execute = 0;
        ARSFanDisplaySettingsSACK.method = "POST";
        ARSFanDisplaySettingsSACK.setVar("action", action);
        ARSFanDisplaySettingsSACK.setVar("filtered_data", json_fields);
        ARSFanDisplaySettingsSACK.onError = function () {
            alert('Ajax error while saving pricing table');
        }
        ARSFanDisplaySettingsSACK.onCompletion = completed_ajax_social_fan_display_settings;
        ARSFanDisplaySettingsSACK.runAJAX();
    }
    return false;
});



function reset_clear() {
    jQuery('.arsocialshare_inner_container .arsocialshare_box_clear').remove();
    jQuery('.arsocialshare_inner_container').each(function (x) {
        jQuery(this).find('.arsocialshare_social_box').each(function (n) {
            if ((n + 1) % 4 == 0) {
                jQuery(this).after('<div class="arsocialshare_box_clear"></div>');
            }
        });
    });
}

function ars_popup_change(type) {
    if (type == 'onscroll') {
        jQuery('.ars_onload_content').slideUp();
        jQuery('.ars_onscroll_content').slideDown();
    } else {
        jQuery('.ars_onload_content').slideDown();
        jQuery('.ars_onscroll_content').slideUp();
    }
}
function ars_fly_in_change(type) {
    if (type == 'onscroll') {
        jQuery('.ars_fly_in_onload_content').slideUp();
        jQuery('.ars_fly_in_onscroll_content').slideDown();
    } else {
        jQuery('.ars_fly_in_onload_content').slideDown();
        jQuery('.ars_fly_in_onscroll_content').slideUp();
    }
}

function ars_network_active_deactive(checkbox, network) {
    if (network) {
        if (jQuery(checkbox).is(':checked')) {
            jQuery('#arsocialshare_box_' + network + '_container').slideDown();
        } else {
            jQuery('#arsocialshare_box_' + network + '_container').slideUp();
        }
    }
}

function ars_fan_counter_active_deactive(checkbox, network) {
    if (network) {
        if (jQuery(checkbox).is(':checked')) {
            jQuery('#arsocialshare_box_' + network + '_container').slideDown();
        } else {
            jQuery('#arsocialshare_box_' + network + '_container').slideUp();
        }
    }
}

function ars_global_share_button_width_change() {
    var share_button_width = jQuery('#arsocialshare_global_share_button_width').val();

    jQuery('#arsocialshare_full_width_button_option').hide();
    jQuery('#arsocialshare_fixed_width_button_option').hide();
    if (share_button_width == 'fixed_width') {
        jQuery('#arsocialshare_fixed_width_button_option').show();
    }
    if (share_button_width == 'full_width') {
        jQuery('#arsocialshare_full_width_button_option').show();
    }
}

function ars_select_checkbox_img(checkbox_img, page_post_id, mob_page_id) {
    if (checkbox_img) {

        if (jQuery("#" + checkbox_img + "_img").hasClass('selected')) {
            jQuery("#" + checkbox_img + "_img").removeClass('selected');
            jQuery("#" + checkbox_img).attr('checked', false);
        } else {
            jQuery("#" + checkbox_img + "_img").addClass('selected');
            jQuery("#" + checkbox_img).attr('checked', true);
        }
    }

}
function ars_select_radio_img(radio_img, radio_class) {
    jQuery("." + radio_class).removeClass('selected');
    jQuery("#" + radio_img).attr('checked', true).trigger('change');
    jQuery("#" + radio_img + "_img").addClass('selected');
}
function ars_locker_network_active_deactive(checkbox, network) {
    if (network) {
        if (jQuery(checkbox).is(':checked')) {
            jQuery('#arsocialshare_box_' + network + '_container').slideDown();
        } else {
            jQuery('#arsocialshare_box_' + network + '_container').slideUp();
        }
    }
}

jQuery(document).on('click', '#ars_shortcode_generator_btn', function (e) {
    var ars_lite_shortcodes_len = jQuery('.arsocialshare_network_list_row').length;
    if (ars_lite_shortcodes_len > 3) {
        jQuery('#ars_lite_locker_shortcode_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    } else {
        jQuery('#ars_shortcode_generator_popup').bPopup();
    }
});

jQuery(document).on('click', '#ars_shortcode_generator_popup_close', function () {
    jQuery('#ars_shortcode_generator_popup').bPopup().close();
});

function ars_select_shortcode_type() {
    var ars_shortcode_type_val = jQuery("input[name=ars_shortcode_type]:checked").val();
    if (ars_shortcode_type_val == 'share') {
        window.location.href = 'admin.php?page=arsocial-lite-shortcode-generator&shortcode=share';
        jQuery('#ars_shortcode_generator_popup').bPopup().close();
    }
    if (ars_shortcode_type_val == 'locker') {     
        window.location.href = 'admin.php?page=arsocial-lite-shortcode-generator&shortcode=locker';
        jQuery('#ars_shortcode_generator_popup').bPopup().close();

    }
    if (ars_shortcode_type_val == 'like_follow_subscribe') {
        window.location.href = 'admin.php?page=arsocial-lite-shortcode-generator&shortcode=like';
        jQuery('#ars_shortcode_generator_popup').bPopup().close();
    }
    if (ars_shortcode_type_val == 'fan_counter') {
        window.location.href = 'admin.php?page=arsocial-lite-shortcode-generator&shortcode=fan';
        jQuery('#ars_shortcode_generator_popup').bPopup().close();
    }

    return false;
}


jQuery(document).on('click', '#ars_share_shortcode_generator_btn', function () {
    var share_data = jQuery('form#ars_share_shortcode_generator_frm').serialize();
    jQuery('.ars_error_message').hide();
    if (jQuery('.arsocialshare_position_setting_network_input:checked').length == 0) {
        jQuery('#arsocialshare_network_error').show();
        jQuery(window.opera ? 'html' : 'html, body').animate({scrollTop: jQuery('#arsocialshare_network_error').offset().top - 100}, 1000);
    } else {
        if (jQuery(this).attr('data-id') !== '' && jQuery(this).attr('data-id') === 'sticky_belt') {
            jQuery('.sticky_belt_loader').show();
        } else {
            jQuery('.arsocialshare_save_loader').show();
        }
        var ajaxurl = jQuery('#arsocialshare_ajaxurl').val();
        jQuery.ajax({
            url: ajaxurl,
            type: 'POST',
            dataType: 'json',
            data: 'action=arsocial_lite_save_networks&' + share_data,
            success: function (response) {
                jQuery('.arsocialshare_save_loader').hide();
                jQuery('.sticky_belt_loader').hide();
                if (response.message == 'success') {
                    if (response.action == 'new') {
                        if (window.history.pushState) {
                            var pageurl = ARSremoveVariableFromURL(document.URL, 'action');
                            pageurl = ARSremoveVariableFromURL(pageurl, 'network_id');
                            pageurl = ARSremoveVariableFromURL(pageurl, 'arsocialaction');
                            pageurl += '&page=arsocial-lite-shortcode-generator&shortcode=share&network_id=' + response.id;
                            window.history.pushState({path: pageurl}, '', pageurl);
                            jQuery('#network_id').val(response.id);
                            jQuery('#arsocialshare_action').val('edit');
                            jQuery('#success-message').html(response.body);

                            jQuery('.ars_share_wrapper').find('#ars_share_shortcode').html('[ARSocial_Lite_Share id=' + response.id + ']');
                            jQuery('.ars_share_wrapper').find('#ars_share_shortcode').attr('data-code', '[ARSocial_Lite_Share id=' + response.id + ']');
                            jQuery('.ars_share_wrapper').show();
                            jQuery('#success-message').animate({width: 'toggle'}, 'slow');

                            jQuery(window.opera ? 'html' : 'html, body').animate('slow');

                            jQuery('#success-message').delay(3000).animate({width: 'toggle'}, 'slow');

                        }
                    }
                    if (response.action == 'edit') {
                        jQuery('#success-message').html(response.body);
                        jQuery('#success-message').animate({width: 'toggle'}, 'slow');

                        jQuery(window.opera ? 'html' : 'html, body').animate('slow');

                        jQuery('#success-message').delay(3000).animate({width: 'toggle'}, 'slow');
                    }
                }
                return false;
            }
        });
    }
    return false;
});

jQuery(document).on('change', '#arsocialshare_like_button_width', function (e) {
    var value = jQuery(this).val();

    if (value === 'fixed_width') {
        jQuery('#arsocialshare_fixed_width_div').show();
        jQuery('#arsocialshare_full_width_div').hide();
    } else if (value === 'full_width') {
        jQuery('#arsocialshare_full_width_div').show();
        jQuery('#arsocialshare_fixed_width_div').hide();
    } else {
        jQuery('#arsocialshare_full_width_div').hide();
        jQuery('#arsocialshare_fixed_width_div').hide();
    }
});

jQuery(document).on('click', '.ars_share_wrapper', function () {
    var code = jQuery(this).find('.ars_share_shortcode').attr('data-code');
    arsCopyToClipboard(code);
    jQuery(this).find('.ars_copied').show().delay(3000).fadeOut('slow');
});

jQuery(document).on('click', '.arsocialshare_copy_shortcode', function () {
    var code = jQuery(this).attr('data-code');
    jQuery(this).addClass('arsocialshare_shortcode_tooltip');
    arsCopyToClipboard(code);
    jQuery(this).parent().parent().find('.ars_copied').show().delay(3000).fadeOut('slow');
});

function arsCopyToClipboard(text)
{
    var textArea = document.createElement("textarea");
    textArea.style.position = 'fixed';
    textArea.style.top = 0;
    textArea.style.left = 0;
    textArea.style.width = '2em';
    textArea.style.height = '2em';
    textArea.style.padding = 0;
    textArea.style.border = 'none';
    textArea.style.outline = 'none';
    textArea.style.boxShadow = 'none';
    textArea.style.background = 'transparent';
    textArea.value = text;
    document.body.appendChild(textArea);
    textArea.select();
    try {
        var successful = document.execCommand('copy');
        var msg = successful ? 'successful' : 'unsuccessful';
    } catch (err) {
        console.log('Oops, unable to copy');
    }
    document.body.removeChild(textArea);
}

jQuery(document).on('click', '.arsocialshare_do_action_delete', function () {
    console.log(jQuery(this).attr('data-row-id'));
    console.log(jQuery('#delete_container_' + jQuery(this).attr('data-row-id')));
    jQuery('#delete_container_' + jQuery(this).attr('data-row-id')).show();
});

function ars_hide_delete_alert(id) {
    jQuery('#delete_container_' + id).hide();
}

jQuery(document).on('click', '#arsocial_analytics li', function () {
    var id = jQuery(this).attr('data-id');
    ars_select_analytics_type(id);
});

function ars_select_analytics_type(id) {

    if (id == 'arsocialshare_share') {
        window.location.href = 'admin.php?page=arsocial-lite-share-analytics&analytics=share';
    }
    if (id == 'arsocialshare_fan') {
        window.location.href = 'admin.php?page=arsocial-lite-share-analytics&analytics=fan';
    }
    if (id == 'arsocialshare_locker') {
        window.location.href = 'admin.php?page=arsocial-lite-share-analytics&analytics=locker';
    }
}


jQuery(document).on('click', '.ars_shortcode_type_row', function () {
    jQuery('.ars_shortcode_type_row').each(function (x) {
        jQuery(this).removeClass('selected');
    });
    jQuery(this).addClass('selected');
    var shortcode_type = jQuery(this).attr('data-id');
    jQuery('input[name=ars_shortcode_type]#' + shortcode_type).attr('checked', 'checked');
});
function ars_lite_sidebar_button_width_change() {
    var share_button_width = jQuery('#arsocialshare_sidebar_button_width').val();

    jQuery('#arsocialshare_sidebar_fixed_width_button_option').hide();
    jQuery('#arsocialshare_sidebar_full_width_button_option').hide();
    if (share_button_width == 'fixed_width') {
        jQuery('#arsocialshare_sidebar_fixed_width_button_option').show();
    }
    if (share_button_width == 'full_width') {
        jQuery('#arsocialshare_sidebar_full_width_button_option').show();
    }
}
function ars_fly_in_button_width_change() {
    var share_button_width = jQuery('#arsocialshare_fly_in_button_width').val();

    jQuery('#arsocialshare_fly_in_fixed_width_button_option').hide();
    jQuery('#arsocialshare_fly_in_full_width_button_option').hide();
    if (share_button_width == 'fixed_width') {
        jQuery('#arsocialshare_fly_in_fixed_width_button_option').show();
    }
    if (share_button_width == 'full_width') {
        jQuery('#arsocialshare_fly_in_full_width_button_option').show();
    }
}
function ars_popup_button_width_change() {
    var share_button_width = jQuery('#arsocialshare_popup_button_width').val();

    jQuery('#arsocialshare_popup_fixed_width_button_option').hide();
    jQuery('#arsocialshare_popup_full_width_button_option').hide();
    if (share_button_width == 'fixed_width') {
        jQuery('#arsocialshare_popup_fixed_width_button_option').show();
    }
    if (share_button_width == 'full_width') {
        jQuery('#arsocialshare_popup_full_width_button_option').show();
    }
}


jQuery(document).on('click', '.arsocialshare_position_setting_network_input', function (e) {
    jQuery(this).parent().toggleClass('selected');
});

jQuery(document).on('click', '.arsocialshare_switch', function () {
    var id = jQuery(this).attr('data-id');
    var action = jQuery(this).attr('data-action');
    if(jQuery(this).hasClass('arsocial_lite_restricted_switch')) {
        jQuery('#ars_lite_pro_global_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    } else {
        jQuery(this).toggleClass('selected');
        if (jQuery(this).hasClass('selected')) {
            var value = jQuery(this).find('.arsocialshare_switch_label[data-action="true"]').attr('data-value');
            jQuery('input[type="radio"]#' + id).attr('checked', true);
        } else {
            var value = jQuery(this).find('.arsocialshare_switch_label[data-action="false"]').attr('data-value');
            jQuery('input[type="radio"]#' + id).attr('checked', false);
        }
        jQuery('input[type="hidden"]#' + id).val(value).trigger('change');
        jQuery('input[type="radio"]#' + id).val(value);
        jQuery('input[type="radio"]#' + id).trigger('change');
    }
});

jQuery(document).on('click', '.arsocialshare_option_box', function () {
if(jQuery(this).hasClass('popup_icon') || jQuery(this).hasClass('media_icon')){
    jQuery('#ars_lite_pro_global_premium_notice').bPopup({
        modalColor: '#656565'
    });
    return false;
} else {
    var id = jQuery(this).attr('data-id');
    var opt_id = jQuery(this).attr('data-opt-id');
    var mob_page_id = jQuery(this).attr('data-mob-page-id');
    jQuery(this).toggleClass('selected');
    if (jQuery(this).hasClass('selected')) {
        jQuery('#' + id).attr('checked', true);
        jQuery('.ars_network_list_container#' + opt_id).show('slow');
        jQuery('.ars_mobile_poition_' + opt_id).show();
        jQuery(window.opera ? 'html' : 'html, body').animate({scrollTop: jQuery('.ars_network_list_container#' + opt_id).offset().top - 100}, 1000);
        if (opt_id == 'arsocialshare_pages' || opt_id == 'arsocialshare_posts' || opt_id == 'ars_fan_pages' || opt_id == 'ars_fan_posts') {
        }
    } else {
        jQuery('#' + id).attr('checked', false);
        jQuery('.ars_network_list_container#' + opt_id).hide('slow');
        jQuery('.ars_mobile_poition_' + opt_id).hide();
    }    
}
});



function ars_after_share(show_id, hide_id) {
    jQuery('#ars_' + show_id).show();
    jQuery('#ars_' + hide_id).hide();
}

jQuery(document).on('change', '#arsocialshare_top_bottom_bar_display_on', function () {
    var value = jQuery(this).val();
    if (value === 'onload') {
        jQuery('#arsocialshare_on_load_wrapper').slideDown();
        jQuery('#arsocialshare_on_scroll_wrapper').slideUp();
    } else if (value === 'onscroll') {
        jQuery('#arsocialshare_on_load_wrapper').slideUp();
        jQuery('#arsocialshare_on_scroll_wrapper').slideDown();
    }
});
 
jQuery(document).on('change', '#enable_locker_time_interval', function () {
    var value = jQuery(this).val();
    if (value === '1') {
        jQuery('.ars_lite_locker_time_interval_container').slideDown();
    } else {
        jQuery('.ars_lite_locker_time_interval_container').slideUp();
    }
});

jQuery(document).on('change', '#arsocialshare_popup_display_on', function () {
    var value = jQuery(this).val();
    if (value === 'onload') {
        jQuery('#arsocialshare_popup_on_load_wrapper').slideDown();
        jQuery('#arsocialshare_popup_on_scroll_wrapper').slideUp();
    } else if (value === 'onscroll') {
        jQuery('#arsocialshare_popup_on_load_wrapper').slideUp();
        jQuery('#arsocialshare_popup_on_scroll_wrapper').slideDown();
    }
});

jQuery(document).on('change', '#ars_fan_display_bar', function () {
    var value = jQuery(this).val();
    if (value === 'onload') {
        jQuery('#ars_fan_on_load_wrapper').slideDown();
        jQuery('#ars_fan_on_scroll_wrapper').slideUp();
    } else if (value === 'onscroll') {
        jQuery('#ars_fan_on_scroll_wrapper').slideDown();
        jQuery('#ars_fan_on_load_wrapper').slideUp();
    }
});

jQuery(document).on('change', '#ars_fan_display_popup', function () {
    var value = jQuery(this).val();
    if (value === 'onload') {
        jQuery('#ars_fan_popup_on_load_wrapper').slideDown();
        jQuery('#ars_fan_popup_on_scroll_wrapper').slideUp();
    } else if (value === 'onscroll') {
        jQuery('#ars_fan_popup_on_scroll_wrapper').slideDown();
        jQuery('#ars_fan_popup_on_load_wrapper').slideUp();
    }
});

jQuery(document).on('click', '[name=arsocialshare_display_type]', function () {
    var curent_val = jQuery(this).val();
    jQuery('#ars_top_bootombar_displaybar').hide();
    jQuery('#ars_lite_sidebar_position').hide();
    jQuery('#ars_share_alignment').hide();
    jQuery('.ars_dipsplay_bar_hide_show').hide();
    jQuery('.ars_popup_hide_show').hide();
    jQuery('#arsocialshare_top_bottom_theme_preview').show();
    jQuery('#arsocialshare_sidebar_theme_preview').hide();

    if (curent_val == 'on_page') {
        jQuery('#ars_share_alignment').show();
    }
    if (curent_val == 'sidebar') {
        jQuery('#ars_lite_sidebar_position').show();
        jQuery('#arsocialshare_top_bottom_theme_preview').hide();
        jQuery('#arsocialshare_sidebar_theme_preview').show();

        jQuery('.ars_share_all_theme').hide();
        jQuery('.ars_share_sidebar_theme').show();
        jQuery('.ars_share_all_effects').hide();
        jQuery('.ars_share_sidebar_effects').show();
        jQuery('#arsocialshare_gs_hover_effect option[value="effect1"]').attr('selected', true);
        if (jQuery('#arsocialshare_gs_skins').val() == 'flat_rounded') {
            jQuery('#arsocialshare_gs_skins option[value="default"]').attr('selected', true);
        }
        jQuery('.ars_share_no_sidebar_option').hide();
        jQuery('.arsShareSidebarBtnStyle').trigger('click');
        jQuery('#arsocial_counter_position_wrapper').hide();
    } else {
        jQuery('.ars_share_all_effects').show();
        jQuery('.ars_share_all_theme').show();
        jQuery('.ars_share_no_sidebar_option').show();
        jQuery('.ars_share_all_theme.rolling').hide();
        if (jQuery('#arsocialshare_gs_skins').val() == 'rolling') {
            jQuery('#arsocialshare_gs_skins option[value="default"]').attr('selected', true);
        }
        jQuery('#arsocial_counter_position_wrapper').show();
    }
    jQuery('#arsocialshare_gs_skins').trigger('change');


    if (curent_val == 'top_bottom_bar') {
        console.log(jQuery('.ars_dipsplay_bar_hide_show'));
        jQuery('.ars_dipsplay_bar_hide_show').show();
        if (jQuery('#arsocialshare_top_bottom_bar_display_on').val() == 'onload') {

            jQuery('#arsocialshare_on_scroll_wrapper').hide();
        }
        else {
            jQuery('#arsocialshare_on_load_wrapper').hide();
        }
    }
    if (curent_val == 'popup') {
        jQuery('.ars_popup_hide_show').show();

        if (jQuery('#arsocialshare_popup_display_on').val() == 'onload') {
            jQuery('#arsocialshare_popup_on_scroll_wrapper').hide();
        } else {
            jQuery('#arsocialshare_popup_on_load_wrapper').hide();
        }

        jQuery('.arsocialshare_option_row#ars_more_button').hide();
        jQuery('.arsocialshare_option_row#ars_more_button_style').hide();
        jQuery('.arsocialshare_option_row#ars_more_button_action').hide();
    } else {
        jQuery('.arsocialshare_option_row#ars_more_button').show();
        jQuery('.arsocialshare_option_row#ars_more_button_style').show();
        jQuery('.arsocialshare_option_row#ars_more_button_action').show();
    }

});


jQuery(document).on('click', '[name=arsocialshare_enable_fan_on]', function () {
    var curent_val = jQuery(this).val();
    jQuery('#ars_position_top_bottom_bar').hide();
    jQuery('.ars_page_position').hide();
    jQuery('#ars_lite_sidebar_position').hide();
    jQuery('#ars_share_alignment').hide();
    jQuery('.ars_dipsplay_bar_hide_show').hide();
    jQuery('.ars_popup_hide_show').hide();

    if (curent_val == 'page') {
        jQuery('#ars_share_alignment').show();
        jQuery('.ars_page_position').show();
    }
    if (curent_val == 'sidebar') {
        jQuery('#ars_lite_sidebar_position').show();
        jQuery('#ars_fan_counter_main_preview').hide();
        jQuery('#ars_fan_counter_sidebar_preview_gs').show();
    } else {
        jQuery('#ars_fan_counter_sidebar_preview_gs').hide();
        jQuery('#ars_fan_counter_main_preview').show();
    }

    if (curent_val == 'top_bottom_bar') {
        jQuery('.ars_dipsplay_bar_hide_show').show();
        jQuery('#ars_position_top_bottom_bar').show();
        if (jQuery('#arsocialshare_top_bottom_bar_display_on').val() == 'onload') {
            jQuery('#arsocialshare_on_scroll_wrapper').hide();
        } else {
            jQuery('#arsocialshare_on_load_wrapper').hide();
        }
    }
    if (curent_val == 'popup') {
        jQuery('.ars_popup_hide_show').show();

        if (jQuery('#arsocialshare_popup_display_on').val() == 'onload') {
            jQuery('#arsocialshare_popup_on_scroll_wrapper').hide();
        } else {
            jQuery('#arsocialshare_popup_on_load_wrapper').hide();
        }
        jQuery('#fc_more_button').hide();
        jQuery('#fc_more_button_style').hide();
        jQuery('#fc_more_button_action').hide();
    } else {
        jQuery('#fc_more_button').show();
        jQuery('#fc_more_button_style').show();
        jQuery('#fc_more_button_action').show();
    }

});


jQuery(document).on('click', '[name=arsocialshare_like_enable_on]', function () {
    var curent_val = jQuery(this).val();
    jQuery('#ars_position_top_bottom_bar').hide();
    jQuery('.ars_page_position').hide();
    jQuery('#ars_lite_sidebar_position').hide();
    jQuery('#ars_share_alignment').hide();
    jQuery('.ars_dipsplay_bar_hide_show').hide();
    jQuery('.ars_popup_hide_show').hide();

    if (curent_val == 'page') {
        jQuery('#ars_share_alignment').show();
        jQuery('.ars_page_position').show();
    }
    if (curent_val == 'sidebar') {
        jQuery('#ars_lite_sidebar_position').show();
    }

    if (curent_val == 'top_bottom_bar') {
        jQuery('#ars_share_alignment').show();
        jQuery('.ars_dipsplay_bar_hide_show').show();
        jQuery('#ars_position_top_bottom_bar').show();
        if (jQuery('#arsocialshare_top_bottom_bar_display_on').val() == 'onload') {

            jQuery('#arsocialshare_on_scroll_wrapper').hide();
        }
        else {

            jQuery('#arsocialshare_on_load_wrapper').hide();
        }
    }
    if (curent_val == 'popup') {
        jQuery('.ars_popup_hide_show').show();

        if (jQuery('#arsocialshare_popup_display_on').val() == 'onload') {

            jQuery('#arsocialshare_popup_on_scroll_wrapper').hide();
        }
        else {

            jQuery('#arsocialshare_popup_on_load_wrapper').hide();
        }
    }

});


jQuery(document).on('change', '#arsocialshare_lock_paragraph', function () {
    var value = jQuery(this).val();
    if (value === 'yes') {
        jQuery('.arsocialshare_lock_paragraph_section').slideDown();
    } else {
        jQuery('.arsocialshare_lock_paragraph_section').slideUp();
    }
});

jQuery(document).on('change', '#arsocialshare_lock_css', function () {
    var value = jQuery(this).val();
    if (value === 'yes') {
        jQuery('.arsocialshare_lock_css_section').slideDown();
    } else {
        jQuery('.arsocialshare_lock_css_section').slideUp();
    }
});

jQuery(document).on('change', '#arsocialshare_lock_category', function () {
    var value = jQuery(this).val();
    if (value === 'yes') {
        jQuery('.arsocialshare_lock_category_section').slideDown();
    } else {
        jQuery('.arsocialshare_lock_category_section').slideUp();
    }
});

jQuery(document).on('change', '#arsocialshare_lock_tag', function () {
    var value = jQuery(this).val();
    if (value === 'yes') {
        jQuery('.arsocialshare_lock_tag_section').slideDown();
    } else {
        jQuery('.arsocialshare_lock_tag_section').slideUp();
    }
});

jQuery(document).on('keypress', '#fancounter_update_data', function (evt) {
    var value = jQuery(this).val();
    var pattern = /^\d+$/;
    evt = (evt) ? evt : window.event;
    var charCode = (evt.which) ? evt.which : evt.keyCode;
    if (charCode > 31 && (charCode < 48 || charCode > 57)) {
        return false;
    }
    return true;
});

jQuery(document).on('click', '[name=short_url_type]', function () {
    var value = jQuery(this).val();
    if (value == 'google') {
        jQuery('#ars_google_note').slideDown();
    } else {
        jQuery('#ars_google_note').slideUp();
    }
    if (value == 'bitly') {
        jQuery('#ars_bitylt_note').slideDown();
    }
    else {
        jQuery('#ars_bitylt_note').slideUp();
    }
});

jQuery(document).on('click', '.ars_shortcode_radio_position', function (e) {
    jQuery('.ars_shortcode_radio_position').removeClass('selected');
    jQuery(this).addClass('selected');
});

function OpenInNewTab(url)
{
    var win = window.open(url, '_blank');
    win.focus();
}

jQuery(document).on('change', '#arsocialshare_fb_fan_account_type', function () {
    var value = jQuery(this).val();
    if (value === 'page') {
        jQuery('#fb_like_btn_wrapper').slideDown();
    } else {
        jQuery('#fb_like_btn_wrapper').slideUp();
    }
    ars_enable_fan_like_position();
});

jQuery(document).on('change', '#arsocialshare_ln_fan_account_type', function () {
    var value = jQuery(this).val();
    if (value === 'page') {
        jQuery('#ars_fan_linkedin_like_btn_wrapper').slideDown();
        var is_checked = jQuery('#enable_IN_follow').is(':checked');
        if (is_checked) {
            jQuery('#ars_fan_linkedin_id_wrapper').slideDown();
        } else {
            jQuery('#ars_fan_linkedin_id_wrapper').slideUp();
        }
    } else {
        jQuery('#ars_fan_linkedin_like_btn_wrapper').slideUp();
        jQuery('#ars_fan_linkedin_id_wrapper').slideUp();
    }
    ars_enable_fan_like_position();
});

jQuery(document).on('change', '#enable_IN_follow', function () {
    var is_checked = jQuery(this).is(':checked');
    if (is_checked) {
        jQuery('#ars_fan_linkedin_id_wrapper').slideDown();
    } else {
        jQuery('#ars_fan_linkedin_id_wrapper').slideUp();
    }
    ars_enable_fan_like_position();
});

jQuery(document).on('change', '#arsocialshare_youtube_fan_account_type', function () {
    var value = jQuery(this).val();
    if (value === 'channel') {
        jQuery('#ars_fan_youtube_wrapper').slideDown();
    } else {
        jQuery('#ars_fan_youtube_wrapper').slideUp();
    }
    ars_enable_fan_like_position();
});

jQuery(document).on('change', '#enable_fb_like,#enable_tw_follow,#enable_gp_follow,#enable_IN_follow,#enable_pin_follow,#enable_insta_follow,#enable_youtube_subscribe,#enable_tumblr_follow,#active_fb_fan,#arsocialshare_fb_fan_account_type,#active_twitter_fan,#active_google_plus_fan,#active_linkedin_fan,#arsocialshare_ln_fan_account_type,#active_pinterest_fan,#active_instagram_fan,#active_youtube_fan,#arsocialshare_youtube_fan_account_type,#active_tumblr_fan', function () {
    ars_enable_fan_like_position();
});
/*#enable_vk_follow,#active_vk_fan*/

function ars_enable_fan_like_position() {
    var enable_like_position = 0;

    var is_fb_active = jQuery('#active_fb_fan').is(':checked');
    var fb_acc_type = jQuery('#arsocialshare_fb_fan_account_type').val();
    var is_fb_enable = jQuery('#enable_fb_like').is(':checked');

    if (is_fb_active === true && fb_acc_type === 'page' && is_fb_enable === true) {
        enable_like_position = 1;
    }

    var is_tw_active = jQuery('#active_twitter_fan').is(':checked');
    var is_tw_enable = jQuery('#enable_tw_follow').is(':checked');

    if (is_tw_active === true && is_tw_enable === true) {
        enable_like_position = 1;
    }

    var is_gp_active = jQuery('#active_google_plus_fan').is(':checked');
    var is_gp_follow = jQuery('#enable_gp_follow').is(':checked');

    if (is_gp_active === true && is_gp_follow === true) {
        enable_like_position = 1;
    }

    var is_ln_active = jQuery('#active_linkedin_fan').is(':checked');
    var ln_acc_type = jQuery('#arsocialshare_ln_fan_account_type').val();
    var is_ln_enable = jQuery('#enable_IN_follow').is(':checked');

    if (is_ln_active === true && ln_acc_type === 'page' && is_ln_enable === true) {
        enable_like_position = 1;
    }

    var is_pin_active = jQuery('#active_pinterest_fan').is(':checked');
    var is_pin_follow = jQuery('#enable_pin_follow').is(':checked')

    if (is_pin_active === true && is_pin_follow === true) {
        enable_like_position = 1;
    }

    var is_insta_active = jQuery('#active_instagram_fan').is(':checked');
    var is_insta_follow = jQuery("#enable_insta_follow").is(':checked');

    if (is_insta_active === true && is_insta_follow === true) {
        enable_like_position = 1;
    }

    var is_youtube_active = jQuery('#active_youtube_fan').is(':checked');
    var youtube_acc_type = jQuery('#arsocialshare_youtube_fan_account_type').val();
    var is_youtube_follow = jQuery('#enable_youtube_subscribe').is(':checked');

    if (is_youtube_active === true && youtube_acc_type === 'channel' && is_youtube_follow === true) {
        enable_like_position = 1;
    }

    /*var is_vk_active = jQuery('#active_vk_fan').is(':checked');
     var vk_acc_type = jQuery("#arsocialshare_vk_fan_account_type").val();
     var is_vk_follow = jQuery('#enable_vk_follow').val();
     
     if( is_vk_active === true && is_vk_follow === true ){
     enable_like_position = 1;
     }*/

    var is_tumblr_active = jQuery('#active_tumblr_fan').is(':checked');
    var is_tumblr_follow = jQuery('#enable_tumblr_follow').is(':checked');

    if (is_tumblr_active === true && is_tumblr_follow === true) {
        enable_like_position = 1;
    }

    if (enable_like_position > 0) {
        jQuery('.ars_fan_button_position_wrapper').slideDown();
        jQuery('.ars_fan_like_wrapper').attr('style', '');
    } else {
        jQuery('.ars_fan_button_position_wrapper').slideUp();
        jQuery('.ars_fan_like_wrapper').hide();
    }

}

jQuery(document).on('click', '.arsocialshare_position_image', function () {
    jQuery('.ars_mobile_position_custom').slideUp();
    var show_div_id = jQuery(this).attr('data-id');
    jQuery('#' + show_div_id).slideDown();
});


jQuery(document).on('click', '.arsocialshare_selectbox', function () {
    jQuery(this).find('dd ul').toggle();
});

jQuery(document).on('click', ".arsocialshare_selectbox dd ul li", function (e) {
    jQuery(document).find('.arsocialshare_selectbox:active dd ul').hide();
    jQuery(this).parent().parent().parent().find('dt span').html(jQuery(this).attr('label'));
    jQuery(this).parent().parent().parent().find('dt span').show();
    jQuery(this).parent().parent().parent().find('dt input').attr('value', jQuery(this).attr('label'));
    jQuery(this).parent().parent().parent().find('dt input').hide();
    jQuery(jQuery('#' + jQuery(this).parent().parent().parent().attr('data-id')).val(jQuery(this).attr('id')));
});

jQuery(document).bind('click', function (e) {
    var $clicked = jQuery(e.target);
    if (!$clicked.parents().hasClass("arsocialshare_selectbox")) {
        jQuery(".arsocialshare_selectbox dd ul").hide();
        jQuery('.arsocialshare_selectbox dt span').show();
        jQuery('.arsocialshare_selectbox dt input').hide();

        jQuery('.arsocialshare_selectbox').each(function () {
            if (jQuery(this).val() == '')
                jQuery(this).val(jQuery(this).parent().find('span').html());
        });
    }
});

jQuery(document).on('change', '#arsocialshare_media_skins', function () {
    var theme = jQuery(this).val();
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass('arsocialshare_default_theme');
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass('arsocialshare_rounded_theme');
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass('arsocialshare_flat_rounded_theme');
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass('arsocialshare_blank_round_theme');
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass('arsocialshare_square_theme');
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').addClass('arsocialshare_' + theme + '_theme');
});

jQuery(document).on('change', '.ars_media_position', function () {
    var position = jQuery(this).val();
    jQuery('#ars_media_preview_container').find('.arsocialshare_media_share_wrapper').removeClass('top_left');
    jQuery('#ars_media_preview_container').find('.arsocialshare_media_share_inner_wrapper').removeClass('top_left');
    jQuery('#ars_media_preview_container').find('.arsocialshare_media_share_wrapper').removeClass('top_right');
    jQuery('#ars_media_preview_container').find('.arsocialshare_media_share_inner_wrapper').removeClass('top_right');
    jQuery('#ars_media_preview_container').find('.arsocialshare_media_share_wrapper').removeClass('center');
    jQuery('#ars_media_preview_container').find('.arsocialshare_media_share_inner_wrapper').removeClass('center');
    jQuery('#ars_media_preview_container').find('.arsocialshare_media_share_wrapper').removeClass('bottom_left');
    jQuery('#ars_media_preview_container').find('.arsocialshare_media_share_inner_wrapper').removeClass('bottom_left');
    jQuery('#ars_media_preview_container').find('.arsocialshare_media_share_wrapper').removeClass('bottom_right');
    jQuery('#ars_media_preview_container').find('.arsocialshare_media_share_inner_wrapper').removeClass('bottom_right');

    jQuery('#ars_media_preview_container').find('.arsocialshare_media_share_wrapper').addClass(position);
    jQuery('#ars_media_preview_container').find('.arsocialshare_media_share_inner_wrapper').addClass(position);

});

jQuery(document).on('change', '#arsocialshare_media_hover_effect', function () {
    var hover_effect = jQuery(this).val();
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass('arseffect_effect1');
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass('arseffect_effect2');
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass('arseffect_effect3');
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass('arseffect_pulse');
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass("arseffect_pop");
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass('arseffect_wobble_h');
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass('arseffect_wobble_v');
    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').removeClass('arseffect_buzz_out');

    jQuery('#ars_media_preview_container').find('.arsocialshare_buttons_wrapper').addClass('arseffect_' + hover_effect);
});

jQuery(document).on('change', '#arsocialshare_time_interval', function () {
    var interval = jQuery(this).val();
    if (parseInt(interval) > 0) {
        jQuery('.ars_time_interval').show();
        jQuery('#ars_seconds').html(parseInt(interval) + 's');
    } else {
        jQuery('.ars_time_interval').hide();
    }
});

jQuery(document).on('click', '.arsocialshare_do_action_duplicate', function () {
    var ars_lite_shortcodes_len = jQuery('.arsocialshare_network_list_row').length;
    if (ars_lite_shortcodes_len > 3) {
        jQuery('#ars_lite_locker_shortcode_premium_notice').bPopup({
            modalColor: '#656565'
        });
        return false;
    }
});

jQuery(document).on('click', '.arsocial_lite_restricted', function () {
    jQuery('#ars_lite_pro_global_premium_notice').bPopup({
        modalColor: '#656565'
    }); 
    jQuery('#ars_lite_locker_shortcode_premium_notice').bPopup({
        modalColor: '#656565'
    });
    return false;
});

jQuery(document).on('click', '.arsocial_lite_custom_css_global_restricted', function () {
    jQuery('#ars_lite_pro_global_premium_notice').bPopup({
        modalColor: '#656565'
    });
    return false;
});

jQuery(document).on('click', '.arsocial_lite_global_section_restricted,.arsocial_lite_restrict_global_interval', function () {
    jQuery('#ars_lite_pro_global_premium_notice').bPopup({
        modalColor: '#656565'
    });
//    return false;
});

jQuery(document).on('click', '.arsocial_lite_general_settings_restricted', function () {
    jQuery('#ars_lite_general_settings_premium_notice').bPopup({
        modalColor: '#656565'
    });
//    return false;
});
jQuery(document).on('focus', '#vk_app_id,#bitly_api_key,#email_default_subject,#email_default_body,#arsocialshare_mobile_bottom_bar_label', function () {
    jQuery('#ars_lite_general_settings_premium_notice').bPopup({
        modalColor: '#656565'
    });
    return false;    
});
jQuery(document).on('click', '.arsocialshare_social_box_disabled,.arsocialshare_network_buttons_disabled', function () {
    jQuery('#ars_lite_pro_global_premium_notice').bPopup({
        modalColor: '#656565'
    });
    
    jQuery('#ars_lite_pro_shortcode_premium_notice').bPopup({
        modalColor: '#656565'
    });
    return false;
});

jQuery(document).on('click', '.arsocial_lite_custom_css_shortcode_restricted,.arsocial_lite_position_shortcode_restricted', function () {
    jQuery('#ars_lite_pro_shortcode_premium_notice').bPopup({
        modalColor: '#656565'
    });
    return false;
});

jQuery(document).on('click', '.arsocialshare_pro_network_buttons', function () {
    jQuery('#ars_lite_pro_shortcode_premium_notice').bPopup({
        modalColor: '#656565'
    });
    return false;
});
jQuery(document).on('click', '.arsocial_lite_restrict_shortcode_interval,.arsocial_lite_restrict_shortcode_mobile', function () {
    jQuery('#ars_lite_pro_shortcode_premium_notice').bPopup({
        modalColor: '#656565'
    });
//    return false;
});