if (typeof angular !== 'undefined') {
    var arsociallitefanlike = angular.module('arsociallitefanlike', []);
    arsociallitefanlike.controller('arsociallitefanlikefb', function ($scope, $http) {
        $scope.fbLikeButton = true;
    });
    arsociallitefanlike.controller('arsociallitefanliketwitter', function ($scope, $http) {
        $scope.twitterLikeButton = true;
    });
    arsociallitefanlike.controller('arsociallitefangoogleplusfollow', function ($scope, $http) {
        $scope.googleplusLikeButton = true;
    });
    arsociallitefanlike.controller('arsocialfanlinkedin', function ($scope, $http) {
        $scope.linkedinLikeButton = true;
    });
    arsociallitefanlike.controller('arsociallitefanpinterestfollow', function ($scope, $http) {
        $scope.pinterestfollowLikeButton = true;
    });
    arsociallitefanlike.controller('arsociallitelikeinstagram', function ($scope, $http) {
        $scope.instagramLikeButton = true;
    });
    arsociallitefanlike.controller('arsociallitelikeyoutube', function ($scope, $http) {
        $scope.youtubeLikeButton = true;
    });
    arsociallitefanlike.controller('arsociallitelikevk', function ($scope, $http) {
        $scope.vkFanLikeButton = true;
    });
    arsociallitefanlike.controller('arsocialliteliketumblr', function ($scope, $http) {
        $scope.tumblrLikeButton = true;
    });
    arsociallitefanlike.directive('fbLikeButton', [
        '$window', function ($window) {
            return{
                restrict: 'A',
                scope: {
                    fbLike: '=?'
                },
                link: function (scope, element, attrs) {
                    if (!$window.FB) {

                        var settings = ars_global_fan_settings();
                        var setting_obj = jQuery.parseJSON(settings);

                        var fb_language = 'en_US';

                        jQuery.getScript('//connect.facebook.net/' + fb_language + '/sdk.js', function () {
                            $window.FB.init({
                                appId: setting_obj.facebook.app_id,
                                xfbml: true,
                                version: 'v' + setting_obj.facebook.app_version
                            });
                        });
                    } else {

                        var settings = ars_global_fan_settings();
                        var setting_obj = jQuery.parseJSON(settings);
                        $window.FB.init({
                            appId: setting_obj.facebook.app_id,
                            xfbml: true,
                            version: 'v' + setting_obj.facebook.app_version
                        });
                    }
                }

            };
        }
    ]);
    arsociallitefanlike.directive('arslitetwitterLikeButton', [
        '$window', function ($window) {
            return{
                restrict: 'A',
                link: function (scope, element, attrs) {
                    jQuery.getScript('//platform.twitter.com/widgets.js', function () {
                    });
                }

            };
        }
    ]);
    arsociallitefanlike.directive('twitterLikeButton', [
        '$window', function ($window) {
            return{
                restrict: 'A',
                link: function (scope, element, attrs) {
                    jQuery.getScript('//platform.twitter.com/widgets.js', function () {
                    });
                }

            };
        }
    ]);
    arsociallitefanlike.directive('arslitegoogleplusfollowLikeButton', [
        '$window', function ($window) {
            return{
                restrict: 'A',
                link: function (scope, element, attrs) {
                    jQuery.getScript('//apis.google.com/js/platform.js', function () {
                    });
                }
            };
        }
    ]);
    arsociallitefanlike.directive('arslitelinkedinFanButton', [
        '$window', function ($window) {
            return{
                restrict: 'A',
                link: function (scope, element, attrs) {
                }
            };
        }
    ]);
    arsociallitefanlike.directive('arslitearsocialFanPinterestfollow', [
        '$window', function ($window) {
            return{
                restrict: 'A',
                scope: {
                    pinterest: '=?'
                },
                link: function (scope, element, attrs) {
                    jQuery.getScript('//assets.pinterest.com/js/pinit.js', function () {

                    });
                }
            };
        }
    ]);
    arsociallitefanlike.directive('arsliteyoutubeLikeButton', [
        '$window', function ($window) {
            return{
                restrict: 'A',
                link: function (scope, element, attrs) {
                    jQuery.getScript('//apis.google.com/js/platform.js', function () {
                    });
                }
            };
        }
    ]);
    arsociallitefanlike.directive('arslitevkFanLikeButton', [
        '$window', function ($window) {
            return{
                restrict: 'A',
                link: function (scope, element, attrs) {
                    if (!$window.VK) {
                        var settings = ars_global_fan_settings();
                        var setting_obj = jQuery.parseJSON(settings);
                        var page_id = element.attr('data-username');
                        jQuery.getScript('//vk.com/js/api/openapi.js?121', function () {
                            $window.VK.init({
                                apiId: setting_obj.vk.vk_app_id,
                                onlyWidgets: true
                            });
                            VK.Widgets.Like("vk_like", {type: 'mini',
                                height: 24,
                            }, page_id);
                        });
                    } else {
                        var settings = ars_global_fan_settings();
                        var setting_obj = jQuery.parseJSON(settings);
                        var page_id = element.attr('data-username');
                        $window.VK.init({
                            apiId: setting_obj.vk.vk_app_id,
                            onlyWidgets: true
                        });
                        VK.Widgets.Like("vk_like", {type: 'mini',
                            height: 24,
                        }, page_id);
                    }
                },
            };
        }
    ]);
    arsociallitefanlike.directive('arslitetumblrLikeButton', [
        '$window', function ($window) {
            return{
                restrict: 'A',
                scope: {
                    tumblr: '=?'
                },
                link: function (scope, element, attrs) {
                    if (!$window.tumbler) {
                        $window.tumblr = jQuery.getScript('//assets.tumblr.com/share-button.js', function () {
                        });
                    }
                },
            };
        }
    ]);
}

jQuery(document).ready(function () {

    var data_is_top_bottom_bar = jQuery('#arslite_fancounter_fan_bar_wrapper').attr('data-fan_bar_enable');
    if (data_is_top_bottom_bar === 'true') {
        var data_on_display = jQuery('#arslite_fancounter_fan_bar_wrapper').attr('data-fan_bar_display_on');
        var data_open_delay = jQuery('#arslite_fancounter_fan_bar_wrapper').attr('data-fan_bar_load_time');
        var data_open_scroll = jQuery('#arslite_fancounter_fan_bar_wrapper').attr('data-fan_bar_scroll_value');

        if (data_on_display === 'onload') {

            var delay_time = 0;
            if (data_open_delay !== '') {
                var delay_time = parseInt(data_open_delay * 1000);
            }
            setTimeout(function () {
                jQuery('.arslite_fancounter_fan_bar_wrapper').fadeIn('slow');
            }, delay_time);

        } else {
            var ars_open_scroll = parseInt(data_open_scroll);
            var ars_top_bottom_op_welcome = false;
            jQuery(window).scroll(function () {
                var h = jQuery(document).height() - jQuery(window).height();
                var sp = jQuery(window).scrollTop();
                var p = parseInt(sp / h * 100);
                if (p >= ars_open_scroll) {
                    jQuery('.arslite_fancounter_fan_bar_wrapper').fadeIn('slow');
                    ars_top_bottom_op_welcome = true;
                } else {
                    jQuery('.arslite_fancounter_fan_bar_wrapper').fadeOut('slow');
                }
            });
        }

    }
});

jQuery(document).on('click', '#ars_lite_fan_popup_wrapper_close', function (e) {
    e.preventDefault();
    jQuery('#ars_fan_popup_wrapper').bPopup().close();
    return false;
});