function ars_front_set_blur_effect(dataClass, isSet)
{
    if (jQuery.isFunction(jQuery().foggy))
    {
        if (isSet == false) {
            jQuery('.' + dataClass).foggy(false);
        } else {
            jQuery('.' + dataClass).foggy({
                blurRadius: 2,
                opacity: 0.4,
                cssFilterSupport: true
            });
        }
    }
}

function ars_front_show_locked_content(containerID, lockerID)
{
    var containerDiv = jQuery('#' + containerID);
    containerDiv.show();
    jQuery('#arsocial_lite_locker_' + lockerID).find('.arsocial_lite_locker_popup').hide();
    jQuery('#arsocial_lite_locker_' + lockerID).find('.arsocial_lite_locker_popup_bg').hide();
    if (containerDiv.hasClass('ars_locked_blurring')) {
        ars_front_set_blur_effect('ars_locked_blurring', false)
    }
    containerDiv.removeClass('ars_locked_full');
    containerDiv.removeClass('ars_locked_transparency');
    containerDiv.removeClass('ars_locked_blurring');
}

if (typeof angular !== 'undefined') {

    var arsociallitelocker = angular.module('arsociallitelocker', []);
    arsociallitelocker.controller('arsociallitelockerfb', function ($scope, $http) {
        $scope.fblike = true;
    });
    arsociallitelocker.controller('arsociallitelockertw', function ($scope, $http) {
        $scope.twtweet = true;
    });
    arsociallitelocker.controller('arsociallitelockergp', function ($scope, $http) {

    });
    arsociallitelocker.controller('arsociallitelockergpshare', function ($scope, $http) {

    });
    arsociallitelocker.controller('arsociallitelockertwfollow', function ($scope, $http) {

    });



    function onSuccess(data) {
        
        
        var opts = ars_locker_options();
        var options = jQuery.parseJSON(opts);
        var url = options.gp_url;
        var container = options.container;
        
        var ajaxurl = jQuery('#ars_locker_ajaxurl').val();
        jQuery.ajax({
            url: ajaxurl,
            data: 'action=arsocial_lite_add_fblike&container=' + container + '&locker_id=' + options.locker_id + '&unlocked_using=linkedin_share',
            type: 'POST',
            success: function (response) {
                if (typeof (Storage) !== 'undefined') {
                    var page_id = jQuery('#ars_page_id').val();
                    localStorage.setItem('arsocial_lite_locker_' + options.locker_id + '_' + page_id, container);
                    jQuery('#' + container).show();
                    jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                } else {
                    console.log('Your browser does not support web storage...');
                    jQuery('#' + container).show();
                    jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                }
                ars_front_show_locked_content(container, options.locker_id);
            }
        });
        return;

    }

    function onLinkLoaded() {
        IN.Event.on(IN, "auth");
    }

    function onError(error) {

    }

    function ars_on_google_sign_in(googleUser) {
        
        var settings = ars_global_settings();
        var profile = googleUser.getBasicProfile();
        var id = profile.getId();
        var name = profile.getName();
        var image = profile.getImageUrl();
        var email = profile.getEmail();
        var ajaxurl = jQuery('#ars_locker_ajaxurl').val();
        var opts = ars_locker_options();
        var options = jQuery.parseJSON(opts);
        var container = options.container;
        jQuery.ajax({
            url: ajaxurl,
            data: 'action=arsocial_lite_locker_arsocial_add_gpuser&container=' + container + '&locker_id=' + options.locker_id + '&gpemail=' + email + '&unlocked_using=google_login',
            type: 'POST',
            dataType: 'json',
            success: function (response) {
                if (response.message !== 'error') {
                    if (typeof (Storage) !== 'undefined') {
                        var page_id = jQuery('#ars_page_id').val();
                        localStorage.setItem('arsocial_lite_locker_' + options.locker_id + '_' + page_id, container);
                        jQuery('#' + container).show();
                        jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                    } else {
                        console.log('Your browser does not support web storage...');
                        jQuery('#' + container).show();
                        jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                    }
                    ars_front_show_locked_content(container, options.locker_id);
                }
            }
        });
        return;
    }

    arsociallitelocker.controller('arsociallitelockerlinkedinshare', function ($scope, $http) {
        $scope.linkedinshareclick = function (url) {
            var share_url = {
                url: url
            };
            IN.UI.Authorize().place();
            if (typeof IN !== undefined) {
                IN.Event.on(IN, "auth", sharecount, {}, share_url);
            }
        }
        function sharecount(data) {
            var url = data.url;
            var payload = {
                "comment": url,
                "visibility": {
                    "code": "anyone"
                }
            };
            IN.API.Raw("/people/~/shares?format=json")
                    .method("POST")
                    .body(JSON.stringify(payload))
                    .result(onSuccess)
                    .error(onError);
        }

        function onSuccess(data) {
            var ajaxurl = jQuery('#ars_locker_ajaxurl').val();
            var opts = ars_locker_options();
            var options = jQuery.parseJSON(opts);
            var opt_url = options.linkedin_url_share;
            var page_url = options.current_page_url;
            var container = options.container;
            jQuery.ajax({
                url: ajaxurl,
                data: 'action=arsocial_lite_add_fblike&container=' + container + '&locker_id=' + options.locker_id + '&page_url=' + page_url + '&unlocked_using=linkedin_share',
                type: 'POST',
                success: function (response) {

                    if (typeof ars_batch_lock_opts === 'function') {
                        var batch_lock_content = ars_batch_lock_opts();
                        var bulk_lock = jQuery.parseJSON(batch_lock_content);
                        if (bulk_lock.is_element_lock) {
                            var class_names = bulk_lock.class_elements;
                            if (class_names != '') {
                                var classes = class_names.split(',');
                                jQuery(classes).each(function (e) {
                                    classes[e] = classes[e].trim();
                                    jQuery('.' + classes[e]).show();
                                });
                            }
                        }
                    }

                    if (typeof (Storage) !== 'undefined') {
                        var page_id = jQuery('#ars_page_id').val();
                        localStorage.setItem('arsocial_lite_locker_' + options.locker_id + '_' + page_id, container);
                        jQuery('#' + container).show();
                        jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                    } else {
                        console.log('Your browser does not support web storage...');
                        jQuery('#' + container).show();
                        jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                    }
                    ars_front_show_locked_content(container, options.locker_id);
                }
            });
            return;
        }
        function onError(data) {
            console.log(data);
        }

    });
    arsociallitelocker.controller('arsociallitelockerfbshare', function ($scope, $http) {
        $scope.fbshareclick = function (url) {
            var settings = ars_global_settings();
            var setting_obj = jQuery.parseJSON(settings);

            if (!FB) {
                jQuery.getScript('//connect.facebook.net/en_US/sdk.js', function () {
                    FB.init({
                        appId: setting_obj.facebook.app_id,
                        xfbml: true,
                        version: 'v' + setting_obj.facebook.app_version
                    });
                });
            } else {
                var feed_url = url;
                FB.ui({
                    method: 'feed',
                    link: url,
                    caption: 'An example caption',
                }, function (fres) {
                    if (fres === null || typeof fres === 'undefined') {

                    } else {
                        var opts = ars_locker_options();
                        var options = jQuery.parseJSON(opts);
                        var url = options.gp_url;
                        var fsresponse = fres.id;
                        var container = options.container;
                        var page_url = options.current_page_url;
                        var analytic_id = options.analytics_id;
                        var ajaxurl = jQuery('#ars_locker_ajaxurl').val();
                        jQuery.ajax({
                            url: ajaxurl,
                            data: 'action=arsocial_lite_add_fblike&container=' + container + '&locker_id=' + options.locker_id + '&page_url=' + page_url + '&analytic_id=' + analytic_id + '&unlocked_using=facebook_share',
                            type: 'POST',
                            success: function (response) {
                                if (typeof ars_batch_lock_opts === 'function') {
                                    var batch_lock_content = ars_batch_lock_opts();
                                    var bulk_lock = jQuery.parseJSON(batch_lock_content);

                                    if (bulk_lock.is_element_lock) {
                                        var class_names = bulk_lock.class_elements;
                                        if (class_names != '') {
                                            var classes = class_names.split(',');
                                            jQuery(classes).each(function (e) {
                                                classes[e] = classes[e].trim();
                                                jQuery('.' + classes[e]).show();
                                            });
                                        }
                                    }
                                }
                                if (typeof (Storage) !== 'undefined') {
                                    var page_id = jQuery('#ars_page_id').val();
                                    localStorage.setItem('arsocial_lite_locker_' + options.locker_id + '_' + page_id, container);
                                    jQuery('#' + container).show();
                                    jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                                } else {
                                    console.log('Your browser does not support web storage...');
                                    jQuery('#' + container).show();
                                    jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                                }
                                ars_front_show_locked_content(container, options.locker_id);
                            }
                        });
                        return;
                    }
                });
            }
        }
    });
    arsociallitelocker.controller('arsociallitelockerfblogin', function ($scope, $http, $window) {
        $scope.arsocialshare_fb_login = function () {
            if (!$window.FB) {
                var settings = ars_global_settings();
                var setting_obj = jQuery.parseJSON(settings);
                jQuery.getScript('//connect.facebook.net/en_US/sdk.js', function () {
                    FB.init({
                        appId: setting_obj.facebook.app_id,
                        xfbml: true,
                        version: 'v' + setting_obj.facebook.app_version
                    });
                    FB.login(function (response) {
                        if (response.authResponse) {
                            console.log('Welcome!  Fetching your information.... ');
                            FB.api('/me', function (response) {
                                console.log('Good to see you, ' + response.name + '.');
                            });
                        } else {
                            console.log('User cancelled login or did not fully authorize.');
                        }
                    });
                });
            } else {
                FB.login(function (response) {
                    if (response.authResponse) {
                        FB.api('/me', {fields: 'id,email,first_name,last_name'}, function (response) {
                            if (!response.error) {
                                var fb_response = response;
                                var ajaxurl = jQuery('#ars_locker_ajaxurl').val();
                                var opts = ars_locker_options();
                                var options = jQuery.parseJSON(opts);
                                var container = options.container;
                                var analytic_id = options.analytics_id;
                                var page_url = options.current_page_url;
                                jQuery.ajax({
                                    url: ajaxurl,
                                    data: 'action=arsocial_lite_add_fblike&container=' + container + '&locker_id=' + options.locker_id + '&fbemail=' + fb_response.email + '&page_url=' + page_url + '&analytic_id=' + analytic_id + '&unlocked_using=facebook_login',
                                    type: 'POST',
                                    dataType: 'json',
                                    success: function (response) {
                                        if (response.message !== 'error') {
                                            if (typeof ars_batch_lock_opts === 'function') {
                                                var batch_lock_content = ars_batch_lock_opts();
                                                var bulk_lock = jQuery.parseJSON(batch_lock_content);

                                                if (bulk_lock.is_element_lock) {
                                                    var class_names = bulk_lock.class_elements;
                                                    if (class_names != '') {
                                                        var classes = class_names.split(',');
                                                        jQuery(classes).each(function (e) {
                                                            classes[e] = classes[e].trim();
                                                            jQuery('.' + classes[e]).show();
                                                        });
                                                    }
                                                }
                                            }
                                            if (typeof (Storage) !== 'undefined') {
                                                var page_id = jQuery('#ars_page_id').val();
                                                localStorage.setItem('arsocial_lite_locker_' + options.locker_id + '_' + page_id, container);
                                                jQuery('#' + container).show();
                                                jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                                            } else {
                                                console.log('Your browser does not support web storage...');
                                                jQuery('#' + container).show();
                                                jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                                            }
                                            ars_front_show_locked_content(container, options.locker_id);
                                        }
                                    }
                                });
                                return;
                            }
                        });
                    } else {
                        console.log('User cancelled login or did not fully authorize.');
                    }
                }, {scope: 'public_profile,email', return_scopes: true});
            }
        }
    });
    arsociallitelocker.controller('arsociallitelockertwitterlogin', function ($scope, $http, $window) {
        $scope.arsocialshare_twitter_login = function (url) {
            var w1 = window.open(url, '', 'width = 800, height = 500, scrollbars = yes');
            var Timer = setInterval(function () {
                if (w1.closed === true) {
                    var twitter_content = jQuery('#arsocialshare_twitter_details').text();
                    var ajaxurl = jQuery('#ars_locker_ajaxurl').val();
                    var create_account = jQuery('#twitter_create_account').val();
                    if (create_account == 1 && twitter_content !== '') {
                        jQuery('#ars_twitter_outer_wrapper').hide();
                        jQuery('#arsocialshare_twitter_email_id_wrapper').show();
                    } else {
                        var twitter_details = jQuery('#arsocialshare_twitter_details').text();
                        if (typeof twitter_details !== 'undefined' && twitter_details !== '') {
                            var opts = ars_locker_options();
                            var options = jQuery.parseJSON(opts);
                            var container = options.container;
                            if (typeof (Storage) !== 'undefined') {
                                if (typeof ars_batch_lock_opts === 'function') {
                                    var batch_lock_content = ars_batch_lock_opts();
                                    var bulk_lock = jQuery.parseJSON(batch_lock_content);
                                    if (bulk_lock.is_element_lock) {
                                        var class_names = bulk_lock.class_elements;
                                        if (class_names != '') {
                                            var classes = class_names.split(',');

                                            jQuery(classes).each(function (e) {
                                                classes[e] = classes[e].trim();
                                                jQuery('.' + classes[e]).show();
                                            });
                                        }
                                    }
                                }
                                var page_id = jQuery('#ars_page_id').val();
                                localStorage.setItem('arsocial_lite_locker_' + options.locker_id + '_' + page_id, container);
                                jQuery('#' + container).show();
                                jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                            } else {
                                console.log('Your browser does not support web storage...');
                                jQuery('#' + container).show();
                                jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                            }
                            ars_front_show_locked_content(container, options.locker_id);
                        }
                    }

                    clearInterval(Timer);
                }
            }, 1000);
        }
    });
    arsociallitelocker.controller('arsociallitetwitterloginfinalstep', function ($scope, $http, $window) {
        $scope.twitter_signin_complete = function () {
            var emailid = document.getElementById('arsocialshare_twitter_signin_email').value;
            var twitterdetails = document.getElementById('arsocialshare_twitter_details').innerHTML;
            var ajaxurl = jQuery('#ars_locker_ajaxurl').val();
            var createaccount = document.getElementById('twitter_create_account').value;
            $http({
                method: 'POST',
                url: ajaxurl,
                params: {
                    action: 'arsocial_lite_twitter_signin'
                },
                data: {
                    emailid: emailid,
                    twitterlog: twitterdetails,
                    createaccount: createaccount
                }
            }).then(function (response) {
                var message = response.data.message;
                if (message !== 'error') {
                    var opts = ars_locker_options();
                    var options = jQuery.parseJSON(opts);
                    var container = options.container;
                    if (typeof ars_batch_lock_opts === 'function') {
                        var batch_lock_content = ars_batch_lock_opts();
                        var bulk_lock = jQuery.parseJSON(batch_lock_content);

                        if (bulk_lock.is_element_lock) {
                            var class_names = bulk_lock.class_elements;
                            if (class_names != '') {
                                var classes = class_names.split(',');
                                jQuery(classes).each(function (e) {
                                    classes[e] = classes[e].trim();
                                    jQuery('.' + classes[e]).show();
                                });
                            }
                        }
                    }
                    if (typeof (Storage) !== 'undefined') {
                        var page_id = jQuery('#ars_page_id').val();
                        localStorage.setItem('arsocial_lite_locker_' + options.locker_id + '_' + page_id, container);
                        jQuery('#' + container).show();
                        jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                    } else {
                        console.log('Your browser does not support web storage...');
                        jQuery('#' + container).show();
                        jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                    }
                    ars_front_show_locked_content(container, options.locker_id);
                }
            });
        }
    });
    arsociallitelocker.controller('arsociallitelockergplogin', function ($scope, $http, $window) {
        $scope.gplogin = true;
    });
    arsociallitelocker.controller('arsociallitelockerlinkedinlogin', function ($scope, $http, $window) {
        $scope.arsocialshare_linked_login = function () {
            IN.UI.Authorize().place();
            IN.Event.on(IN, "auth", function () {
                IN.API.Profile("me").fields("id", "firstName", "lastName", "email-address", "picture-url", "headline").result(LinkedInLoginCallBack);
            });
        }
        function LinkedInLoginCallBack(profiles) {
            var ajaxurl = jQuery('#ars_locker_ajaxurl').val();
            var opts = ars_locker_options();
            var options = jQuery.parseJSON(opts);
            var container = options.container;
            var page_url = options.current_page_url;
            var member = profiles.values[0];
            jQuery.ajax({
                type: "POST",
                url: ajaxurl,
                dataType: 'json',
                data: 'action=arsocial_lite_locker_arsocial_add_linkedinuser&container=' + container + '&locker_id=' + options.locker_id + '&user_email=' + member.emailAddress + '&page_url=' + page_url,
                success: function (response) {
                    if (response.message !== 'error') {
                        if (typeof (Storage) !== 'undefined') {
                            var page_id = jQuery('#ars_page_id').val();
                            localStorage.setItem('arsocial_lite_locker_' + options.locker_id + '_' + page_id, container);
                            jQuery('#' + container).show();
                            jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                        } else {
                            console.log('Your browser does not support web storage...');
                            jQuery('#' + container).show();
                            jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                        }
                        ars_front_show_locked_content(container, options.locker_id);
                    }
                }
            });
            return false;
        }
    });
    arsociallitelocker.directive('gplogin', [
        '$window', '$rootScope', function ($window, $rootScope) {
            return {
                restrict: 'A',
                link: function (scope, element, attrs) {
                    jQuery.getScript('//apis.google.com/js/platform.js', function () {
                        var initClient = function () {
                            var settings = ars_global_settings();
                            var setting_obj = jQuery.parseJSON(settings);
                            gapi.load('auth2', function () {
                                auth2 = gapi.auth2.init({
                                    client_id: '"' + setting_obj.google.google_client_id + '"'
                                });
                                console.log(auth2);
                                auth2.attachClickHandler('signin-button', {}, ars_on_google_sign_in, onFailure);
                            });
                        };
                    });
                    function onSuccess() {
                        console.log('ttest');
                    }
                    function onFailure() {
                        console.log('ttest1');
                    }
                }
            }
        }
    ]);
    arsociallitelocker.directive('twitterlogin', [
        '$window', '$rootScope', function ($window, $rootScope) {
            return {
                restrict: 'A',
                link: function (scope, element, attrs) {
                    jQuery('.twitter-custom-login-button').show();
                }
            };
        }
    ]);
    arsociallitelocker.directive('fblogin', [
        '$window', '$rootScope', function ($window, $rootScope) {
            return {
                restrict: 'A',
                link: function (scope, element, attrs) {
                    var settings = ars_global_settings();
                    var setting_obj = jQuery.parseJSON(settings);

                    if (!$window.FB) {
                        jQuery.getScript('//connect.facebook.net/en_US/sdk.js', function () {
                            FB.init({
                                appId: setting_obj.facebook.app_id,
                                xfbml: true,
                                version: 'v' + setting_obj.facebook.app_version
                            });
                            renderLikeButton(FB);
                        });
                    } else {
                        renderLikeButton(FB);
                    }
                    var watchAdded = false;
                    function renderLikeButton(FB) {
                        FB.getLoginStatus(function (response) {
                            jQuery('.facebook-custom-login-button').show();
                        });
                    }
                }
            };
        }
    ]);
    arsociallitelocker.directive('linkedinlogin', [
        '$window', '$rootScope', function ($window, $rootScope) {
            return {
                restrict: 'A',
                link: function (scope, element, attrs) {
                    var settings = ars_global_settings();
                    var setting_obj = jQuery.parseJSON(settings);
                    renderLikeButton(IN);
                    function renderLikeButton(IN) {
                    }
                }

            };
        }
    ]);
    arsociallitelocker.directive('twFollow', [
        '$compile', '$window', '$rootScope', function ($compile, $window, $rootScope) {
            return{
                restrict: 'A',
                link: function (scope, element, attrs) {
                    if (!$window.twttr) {
                        $window.twttr = (function (d, s, id) {
                            var js, fjs = d.getElementsByTagName(s)[0],
                                    t = $window.twttr || {};
                            if (d.getElementById(id))
                                return t;
                            js = d.createElement(s);
                            js.id = id;
                            js.src = "https://platform.twitter.com/widgets.js";
                            fjs.parentNode.insertBefore(js, fjs);
                            t._e = [];
                            t.ready = function (f) {
                                t._e.push(f);
                            };
                            return t;
                        }(document, "script", "twitter-wjs"));
                    }
                    var watchAdded = true;
                    twttr.ready(function (twttr) {
                        twttr.events.bind('follow',
                                function (ev) {
                                    var opts = ars_locker_options();
                                    var options = jQuery.parseJSON(opts);
                                    var container = options.container;
                                    var page_url = options.current_page_url;
                                    var ajaxurl = jQuery('#ars_locker_ajaxurl').val();
                                    jQuery.ajax({
                                        url: ajaxurl,
                                        data: 'action=arsocial_lite_add_fblike&container=' + container + '&locker_id=' + options.locker_id + '&page_url=' + page_url + '&unlocked_using=twitter_follow',
                                        type: 'POST',
                                        success: function (response) {
                                            if (typeof ars_batch_lock_opts === 'function') {
                                                var batch_lock_content = ars_batch_lock_opts();
                                                var bulk_lock = jQuery.parseJSON(batch_lock_content);

                                                if (bulk_lock.is_element_lock) {
                                                    var class_names = bulk_lock.class_elements;
                                                    if (class_names != '') {
                                                        var classes = class_names.split(',');
                                                        jQuery(classes).each(function (e) {
                                                            classes[e] = classes[e].trim();
                                                            jQuery('.' + classes[e]).show();
                                                        });
                                                    }
                                                }
                                            }
                                            if (typeof (Storage) !== 'undefined') {
                                                var page_id = jQuery('#ars_page_id').val();
                                                localStorage.setItem('arsocial_lite_locker_' + options.locker_id + '_' + page_id, container);
                                                jQuery('#' + container).show();
                                                jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                                            } else {
                                                console.log('Your browser does not support web storage...');
                                                jQuery('#' + container).show();
                                                jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                                            }
                                            ars_front_show_locked_content(container, options.locker_id);
                                        }
                                    });
                                    return;
                                }
                        );
                    });
                    scope.$watch(
                            function (scope) {
                                return scope.$eval(attrs.bindUnsafeHtml);
                            },
                            function (value) {
                                element.html(value);
                                $compile(element.contents())(scope);
                            }
                    );
                }
            };
        }
    ]);
    arsociallitelocker.directive('twtweet', [
        '$window', '$rootScope', '$compile', function ($window, $rootScope, $compile) {
            return {
                restrict: 'A',
                link: function (scope, element, attrs) {
                    var watchAdded = true;
                    if (!$window.twttr) {
                        $window.twttr = (function (d, s, id) {
                            var js, fjs = d.getElementsByTagName(s)[0],
                                    t = $window.twttr || {};
                            if (d.getElementById(id))
                                return t;
                            js = d.createElement(s);
                            js.id = id;
                            js.src = "https://platform.twitter.com/widgets.js";
                            fjs.parentNode.insertBefore(js, fjs);
                            t._e = [];
                            t.ready = function (f) {
                                t._e.push(f);
                            };
                            return t;
                        }(document, "script", "twitter-wjs"));
                        var watchAdded = true;
                        twttr.ready(function (twttr) {
                            twttr.events.bind(
                                    'tweet',
                                    function (ev) {
                                        var opts = ars_locker_options();
                                        var options = jQuery.parseJSON(opts);
                                        var container = options.container;
                                        var page_url = options.current_page_url;
                                        var ajaxurl = jQuery('#ars_locker_ajaxurl').val();
                                        jQuery.ajax({
                                            url: ajaxurl,
                                            data: 'action=arsocial_lite_add_fblike&container=' + container + '&locker_id=' + options.locker_id + '&page_url=' + page_url + '&unlocked_using=twitter_tweet',
                                            type: 'POST',
                                            success: function (response) {
                                                if (typeof ars_batch_lock_opts === 'function') {
                                                    var batch_lock_content = ars_batch_lock_opts();
                                                    var bulk_lock = jQuery.parseJSON(batch_lock_content);

                                                    if (bulk_lock.is_element_lock) {
                                                        var class_names = bulk_lock.class_elements;
                                                        if (class_names != '') {
                                                            var classes = class_names.split(',');
                                                            jQuery(classes).each(function (e) {
                                                                classes[e] = classes[e].trim();
                                                                jQuery('.' + classes[e]).show();
                                                            });
                                                        }
                                                    }
                                                }
                                                if (typeof (Storage) !== 'undefined') {
                                                    var page_id = jQuery('#ars_page_id').val();
                                                    localStorage.setItem('arsocial_lite_locker_' + options.locker_id + '_' + page_id, container);
                                                    jQuery('#' + container).show();
                                                    jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                                                    jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup_bg').hide();
                                                } else {
                                                    console.log('Your browser does not support web storage...');
                                                    jQuery('#' + container).show();
                                                    jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                                                }
                                                ars_front_show_locked_content(container, options.locker_id);
                                            }
                                        });
                                        return;
                                    }
                            );
                        });
                        scope.$watch(
                                function (scope) {
                                    return scope.$eval(attrs.bindUnsafeHtml);
                                },
                                function (value) {
                                    element.html(value);
                                    $compile(element.contents())(scope);
                                }
                        );
                        renderTweetButton(twttr);
                    }
                    function renderTweetButton(twttr) {
                    }
                }
            };
        }
    ]);
    arsociallitelocker.directive('googlePlusShare', [
        '$compile', '$window', '$rootScope', function ($window, $rootScope) {
            return {
                restrict: 'A',
                link: function (scope, element, attrs) {
                    if (!$window.gapi) {
                        jQuery.getScript('https://apis.google.com/js/platform.js', function () {
                            scope.$watch(
                                    function (scope) {
                                        return scope.$eval(attrs.googlePlus);
                                    },
                                    function (value) {
                                        element.html(value);
                                        $compile(element.contents())(scope);
                                    }
                            );
                        });
                    }
                }
            };
        }
    ]);
    arsociallitelocker.directive('googlePlus', [
        '$compile', '$window', '$rootScope', function ($window, $rootScope) {
            return {
                restrict: 'A',
                link: function (scope, element, attrs) {
                    if (!$window.gapi) {
                        jQuery.getScript('https://apis.google.com/js/platform.js', function () {
                            renderPlusButton();
                        });
                    } else {
                        renderPlusButton();
                    }
                    var watchAdded = true;
                    function renderPlusButton() {
                        scope.$watch(
                                function (scope) {
                                    return scope.$eval(attrs.googlePlus);
                                },
                                function (value) {
                                    element.html(value);
                                    $compile(element.contents())(scope);
                                }
                        );
                    }
                }
            };
        }
    ]);
    arsociallitelocker.directive('fblike', [
        '$compile', '$window', '$rootScope', function ($window, $rootScope) {
            return {
                restrict: 'A',
                link: function (scope, element, attrs) {
                    if (!$window.FB) {
                        jQuery.getScript('//connect.facebook.net/en_US/sdk.js', function () {
                            var settings = ars_global_settings();
                            var setting_obj = jQuery.parseJSON(settings);
                            FB.init({
                                appId: setting_obj.facebook.app_id,
                                xfbml: true,
                                version: 'v' + setting_obj.facebook.app_version
                            });
                            renderLikeButton(FB);
                        });
                    } else {
                        renderLikeButton(FB);
                    }
                    var watchAdded = true;
                    function renderLikeButton(FB) {
                        FB.Event.subscribe('edge.create', function (response) {
                            if (!response.error) {
                                var fb_response = response;
                                var ajaxurl = jQuery('#ars_locker_ajaxurl').val();
                                var opts = ars_locker_options();
                                var options = jQuery.parseJSON(opts);
                                var opt_url = options.fb_like_url;
                                var page_url = options.current_page_url;
                                var response = fb_response.replace(/\/+$/, '');
                                var url = opt_url.replace(/\/+$/, '');
                                if (response == url) {
                                    var container = options.container;
                                    jQuery.ajax({
                                        url: ajaxurl,
                                        data: 'action=arsocial_lite_add_fblike&container=' + container + '&locker_id=' + options.locker_id + '&page_url=' + page_url + '&unlocked_using=facebook_like',
                                        type: 'POST',
                                        success: function (response) {
                                            if (typeof ars_batch_lock_opts === 'function') {
                                                var batch_lock_content = ars_batch_lock_opts();
                                                var bulk_lock = jQuery.parseJSON(batch_lock_content);
                                                if (bulk_lock.is_element_lock) {
                                                    var class_names = bulk_lock.class_elements;
                                                    if (class_names != '') {
                                                        var classes = class_names.split(',');
                                                        jQuery(classes).each(function (e) {
                                                            classes[e] = classes[e].trim();
                                                            jQuery('.' + classes[e]).show();
                                                        });
                                                    }
                                                }
                                            }
                                            if (typeof (Storage) !== 'undefined') {
                                                var page_id = jQuery('#ars_page_id').val();
                                                localStorage.setItem('arsocial_lite_locker_' + options.locker_id + '_' + page_id, container);
                                                jQuery('#' + container).show();
                                                jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                                            } else {
                                                console.log('Your browser does not support web storage...');
                                                jQuery('#' + container).show();
                                                jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                                            }
                                            ars_front_show_locked_content(container, options.locker_id);
                                        }
                                    });
                                    return;
                                }
                            }
                        });
                        scope.$watch(
                                function (scope) {
                                    return scope.$eval(attrs.bindUnsafeHtml);
                                },
                                function (value) {
                                    element.html(value);
                                    $compile(element.contents())(scope);
                                }
                        );
                    }
                }

            };
        }
    ]);
    arsociallitelocker.directive('fbShare', [
        '$window', '$rootScope', function ($window, $rootScope) {
            return {
                restrict: 'A',
                link: function (scope, element, attrs) {
                    if (!$window.FB) {
                        jQuery.getScript('//connect.facebook.net/en_US/sdk.js', function () {
                            var settings = ars_global_settings();
                            var setting_obj = jQuery.parseJSON(settings);
                            FB.init({
                                appId: setting_obj.facebook.app_id,
                                xfbml: true,
                                version: 'v' + setting_obj.facebook.app_version
                            });
                            renderShareButton(FB);
                        });
                    } else {
                        renderShareButton(FB);
                    }
                    var watchAdded = false;
                    function renderShareButton(FB) {
                        jQuery(element).click(function () {
                            facebookShareInit();
                        });
                    }
                    function facebookShareInit() {
                        var locker_opt = ars_locker_options();
                        var locker_opts = jQuery.parseJSON(locker_opt);
                        var shareUrl = locker_opts.fb_share_url;
                        
                        var settings = ars_global_settings();
                        var setting_obj = jQuery.parseJSON(settings);
                        FB.init({
                            appId: setting_obj.facebook.app_id,
                            xfbml: true,
                            version: 'v' + setting_obj.facebook.app_version
                        });
                        FB.ui({
                            method: 'share',
                            href: shareUrl,
                        }, function (response) {
                            if (response && !response.error_message) {
                                
                                var ajaxurl = jQuery('#ars_locker_ajaxurl').val();
                                
                                var opts = ars_locker_options();
                                var options = jQuery.parseJSON(opts);
                                var opt_url = options.fb_like_url;
                                var page_url = options.current_page_url;
                                var container = options.container;
                                jQuery.ajax({
                                    url: ajaxurl,
                                    data: 'action=arsocial_lite_add_fblike&container=' + container + '&locker_id=' + options.locker_id + '&page_url=' + page_url + '&unlocked_using=facebook_share',
                                    type: 'POST',
                                    success: function (response) {
                                        if (typeof ars_batch_lock_opts === 'function') {
                                            var batch_lock_content = ars_batch_lock_opts();
                                            var bulk_lock = jQuery.parseJSON(batch_lock_content);
                                            if (bulk_lock.is_element_lock) {
                                                var class_names = bulk_lock.class_elements;
                                                if (class_names != '') {
                                                    var classes = class_names.split(',');
                                                    jQuery(classes).each(function (e) {
                                                        classes[e] = classes[e].trim();
                                                        jQuery('.' + classes[e]).show();
                                                    });
                                                }
                                            }
                                        }

                                        if (typeof (Storage) !== 'undefined') {
                                            var page_id = jQuery('#ars_page_id').val();
                                            localStorage.setItem('arsocial_lite_locker_' + options.locker_id + '_' + page_id, container);
                                            jQuery('#' + container).show();
                                            jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                                        } else {
                                            console.log('Your browser does not support web storage...');
                                            jQuery('#' + container).show();
                                            jQuery('#arsocial_lite_locker_' + options.locker_id).find('.arsocial_lite_locker_popup').hide();
                                        }
                                        ars_front_show_locked_content(container, options.locker_id);
                                    }
                                });
                                return;

                            } else {
                                console.log('Error while posting.');
                            }
                        });
                    }
                }
            };
        }
    ]);
}